package io.platform.base.common.utils;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Data
@Component
public class StfpBean {
    //ftp服务器ip地址
    @Value("${spring.sftp.ftp-address}")
    private String ftpAddress;
    //端口号
    @Value("${spring.sftp.ftp-port}")
    private int ftpPort;
    //用户名
    @Value("${spring.sftp.ftp-userName}")
    private String ftpUserName;
    //密码
    @Value("${spring.sftp.ftp-password}")
    private String ftpPassword;
    //图片路径
    @Value("${spring.sftp.ftp-basePath}")
    public String ftpBasePath;
    //访问路径
    @Value("${spring.sftp.path-prefix}")
    private String pathPrefix;
}
