package io.platform.approvalConfiguration.dto;

import lombok.Data;

@Data
public class AuditItemsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 审核路径名       db_column: path_id
     */
    private Integer pathId;
    /**
     * 审核级次1.2.3       db_column: level_id
     */
    private Integer levelId;
    /**
     * 是否是最后一级审核       db_column: iffinal_item
     */
    private String iffinalItem;
    /**
     * xx项目名       db_column: sub_ject
     */
    private String subJect;
    /**
     * 工程编号       db_column: project_no
     */
    private String projectNo;
    /**
     * NC工程编号       db_column: project_nc_no
     */
    private String projectNcNo;
    /**
     * 单位id       db_column: branch_id
     */
    private Integer branchId;
    /**
     * 请核人ID       db_column: send_user_id
     */
    private Integer sendUserId;
    /**
     * 请核人姓名       db_column: send_name
     */
    private String sendName;
    /**
     * 请核时间       db_column: send_time
     */
    private java.util.Date sendTime;
    /**
     * 请核备注       db_column: send_msg
     */
    private String sendMsg;
    /**
     * 审核人ID       db_column: audit_user_id
     */
    private Integer auditUserId;
    /**
     * 审核通过时间       db_column: audit_item
     */
    private java.util.Date auditItem;
    /**
     * 审核意见       db_column: audit_msg
     */
    private String auditMsg;
    /**
     * O提交、N未知状态、S待审、B审核退回、A审核通过       db_column: audit_status
     */
    private String auditStatus;
//columns END

}
