package io.platform.engineering.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

@Data
public class BdeptsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * deptId       db_column: dept_id
     */
    private Integer deptId;
    /**
     * 部门编号       db_column: dept_no
     */
    private String deptNo;
    /**
     * 部门名称       db_column: dept_name
     */
    private String deptName;
    /**
     * 单位电话       db_column: tel
     */
    private String tel;
    /**
     * 单位穿着       db_column: fax
     */
    private String fax;
    /**
     * 企业负责人       db_column: manager
     */
    private String manager;
    /**
     * 负责人电话       db_column: manager_tel
     */
    private String managerTel;
    /**
     * 操作员       db_column: op_user_name
     */
    private String opUserName;
    /**
     * 操作日期       db_column: op_date
     */
    private java.util.Date opDate;
    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    private String status;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 承包单位id       db_column: branch_id
     */
    private Integer branchId;
//columns END

}
