package io.platform.engineering.dto;

import lombok.Data;

@Data
public class BemplsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * emplId       db_column: empl_id
     */
    private Integer emplId;
    /**
     * 所在部门       db_column: dept_id
     */
    private Integer deptId;
    /**
     * 所属单位       db_column: branch_id
     */
    private Integer branchId;
    /**
     * 员工编号       db_column: empl_no
     */
    private String emplNo;
    /**
     * 员工姓名       db_column: empl_name
     */
    private String emplName;
    /**
     * 性别       db_column: gender
     */
    private String gender;
    /**
     * 出生日期       db_column: birth_day
     */
    private java.util.Date birthDay;
    /**
     * 照片       db_column: photo
     */
    private byte[] photo;
    /**
     * 身份证号       db_column: id_card
     */
    private String idCard;
    /**
     * 单位电话       db_column: tel
     */
    private String tel;
    /**
     * 单位传真       db_column: fax
     */
    private String fax;
    /**
     * 学历       db_column: edlevel
     */
    private String edlevel;
    /**
     * 操作员       db_column: op_user_name
     */
    private String opUserName;
    /**
     * 操作日期       db_column: op_date
     */
    private java.util.Date opDate;
    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    private String status;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
//columns END

}
