package io.platform.engineering.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

@Data
public class BprojectNodeStepsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * projectStepId       db_column: project_step_id
     */
    private Integer projectStepId;
    /**
     * 工程步骤编号（01，10，20，30等）       db_column: project_step_no
     */
    private String projectStepNo;
    /**
     * 工程步骤名称       db_column: project_step_name
     */
    private String projectStepName;
    /**
     * 工程节点id       db_column: project_node_id
     */
    private Integer projectNodeId;
    /**
     * 操作员       db_column: op_user_name
     */
    private String opUserName;
    /**
     * 操作日期       db_column: op_date
     */
    private java.util.Date opDate;
    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    private String status;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
//columns END

    /**
     * 排序值
     */
    private Integer sortNum;

    /**
     * 承包单位id
     */
    private Integer branchId;
}
