package io.platform.engineering.dto;

import lombok.Data;

@Data
public class BprojectNodesDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * projectNodeId       db_column: project_node_id
     */
    private Integer projectNodeId;
    /**
     * 工程节点编号       db_column: project_node_no
     */
    private String projectNodeNo;
    /**
     * 工程节点名称       db_column: project_node_name
     */
    private String projectNodeName;
    /**
     * 工程类型id       db_column: project_type_id
     */
    private Integer projectTypeId;
    /**
     * 操作员       db_column: op_user_name
     */
    private String opUserName;
    /**
     * 操作时间       db_column: op_date
     */
    private java.util.Date opDate;
    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    private String status;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
//columns END


    /**
     * 排序值
     */
    private Integer sortNum;

    /**
     * 承包单位
     */
    private Integer branchId;


}
