package io.platform.engineering.dto;

import com.baomidou.mybatisplus.annotations.TableId;
import lombok.Data;

@Data
public class BpurchasesDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * purchaseId       db_column: purchase_id
     */
    private Integer purchaseId;
    /**
     * 单位编号       db_column: purchase_no
     */
    private String purchaseNo;
    /**
     * 单位简称       db_column: s_name
     */
    private String sname;
    /**
     * 单位全称       db_column: c_name
     */
    private String cname;
    /**
     * 单位缩写
     */
    private String abbrNo;
    /**
     * 单位地址       db_column: caddr
     */
    private String caddr;
    /**
     * 单位电话       db_column: tel
     */
    private String tel;
    /**
     * 单位穿着       db_column: fax
     */
    private String fax;
    /**
     * 邮寄地址       db_column: post_addr
     */
    private String postAddr;
    /**
     * 企业负责人       db_column: manager
     */
    private String manager;
    /**
     * 负责电话       db_column: manager_tel
     */
    private String managerTel;
    /**
     * 联系人       db_column: attn
     */
    private String attn;
    /**
     * 联系人电话       db_column: attn_tel
     */
    private String attnTel;
    /**
     * 税号       db_column: tax_no
     */
    private String taxNo;
    /**
     * 开户行       db_column: bank
     */
    private String bank;
    /**
     * 银行账号       db_column: bank_acc_no
     */
    private String bankAccNo;
    /**
     * 单位详情       db_column: details
     */
    private String details;
    /**
     * 操作员       db_column: op_user_name
     */
    private String opUserName;
    /**
     * 操作日期       db_column: op_date
     */
    private java.util.Date opDate;
    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    private String status;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * branchId       db_column: branch_id
     */
    private Integer branchId;
    //columns END
    private String bankNumber;

    private Long opUserId;
}
