package io.platform.moneyManagement.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

@Data
public class InvoicePurchaseDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 发票表id       db_column: inv_id
     */
    private Integer invId;
    /**
     * 到货明细id       db_column: purchase_item_id
     */
    private Integer purchaseItemId;
    /**
     * 本次开票数量       db_column: time_qty
     */
    private Double timeQty;
    /**
     * 本次金额       db_column: time_amt
     */
    private Double timeAmt;
    /**
     * 单价       db_column: price
     */
    private Double price;
    /**
     * 数量       db_column: qty
     */
    private Double qty;
    /**
     * 累计开票数量       db_column: sub_time_qty
     */
    private Double subTimeQty;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
//columns END

}
