package io.platform.moneyManagement.dto;

import lombok.Data;

@Data
public class PayDrBillsItemsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 单据行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 业务活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 来源活动号       db_column: src_act_id
     */
    private Integer srcActId;
    /**
     * 来源行号       db_column: src_line_no
     */
    private Integer srcLineNo;
    /**
     * 单据编号       db_column: src_bill_no
     */
    private String srcBillNo;
    /**
     * 原始活动号       db_column: org_act_id
     */
    private Integer orgActId;
    /**
     * 原始编号       db_column: org_bill_no
     */
    private String orgBillNo;
    /**
     * 原始行号       db_column: org_line_no
     */
    private Integer orgLineNo;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 承包单位       db_column: branch_id
     */
    private Integer branchId;
    /**
     * 累计开票金额       db_column: inv_total_amt
     */
    private Double invTotalAmt;
    /**
     * 累计开票比例       db_column: inv_total_rate
     */
    private Double invTotalRate;
    /**
     * 本次收款金额       db_column: stl_amt
     */
    private Double stlAmt;
    /**
     * 累计收款金额       db_column: stl_total_amt
     */
    private Double stlTotalAmt;
    /**
     * 累计收款比例       db_column: stl_total_rate
     */
    private Double stlTotalRate;
//columns END

}
