
package io.platform.progressConfiguration.service.client.api;

import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;
import java.util.Map;

import io.platform.base.common.utils.ExecuteResult;
import io.platform.progressConfiguration.dto.ProjectNodeNexusDto;
import io.platform.sys.dto.SysUserDto;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface ProjectNodeNexusServiceClient {
    /**
     * 根据ID 查询单个对象
     */
    ProjectNodeNexusDto queryObject(Long id);

    /**
     * 根据参数查询 列表  无分页
     */
    List<ProjectNodeNexusDto> queryList(Map<String, Object> map);

    /**
     * 根据参数查询 对应参数的 集合大小
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存对象
     */
    ExecuteResult<String> save(ProjectNodeNexusDto projectNodeNexusDto);

    /**
     * 更新对象
     */
    ExecuteResult<String> update(ProjectNodeNexusDto projectNodeNexusDto);

    /**
     * 根据主键 删除对象
     */
    ExecuteResult<String> delete(Long id);

    /**
     * 根据主键集合 批量删除
     */
    ExecuteResult<String> deleteBatch(List<Long> idList);

    /**
     * 根据分页参数 获取 分页集合
     */
    Page getPage(Page<ProjectNodeNexusDto> page, ProjectNodeNexusDto projectNodeNexusDto, SysUserDto sysUserDto);

    Map<String, Object> queryProNodeNexus(SysUserDto sysUserDto);

    ExecuteResult<String> saveProNodeNexus(String form, String items, SysUserDto sysUserDto);

    Map<String, Object> queryProNodeNexusTemporary(ProjectNodeNexusDto projectNodeNexusDto, SysUserDto sysUserDto);
}
