package io.platform.project.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

@Data
public class ProcessBillsStepsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号（关联ProjectBillsSubs表）       db_column: bill_no
     */
    private String billNo;
    /**
     * 行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 业务活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 工程节点       db_column: project_node_id
     */
    private Integer projectNodeId;
    /**
     * 工程步骤id       db_column: project_step_id
     */
    private Integer projectStepId;
    /**
     * 形象进度占比       db_column: project_work_rate
     */
    private Double projectWorkRate;
    /**
     * 计划开工日期       db_column: plan_start_date
     */
    private java.util.Date planStartDate;
    /**
     * 计划竣工日期       db_column: plan_end_date
     */
    private java.util.Date planEndDate;
    /**
     * 计划施工天数       db_column: plan_days
     */
    private Integer planDays;
    /**
     * 实际开工日期       db_column: act_start_date
     */
    private java.util.Date actStartDate;
    /**
     * 实际竣工日期       db_column: act_end_date
     */
    private java.util.Date actEndDate;
    /**
     * 实际施工天数       db_column: act_days
     */
    private Integer actDays;
    /**
     * 影像资料上传       db_column: attach1
     */
    private String attach1;
    /**
     * 工程签证上传       db_column: attach2
     */
    private String attach2;
    /**
     * 设计变更附件       db_column: act_days
     */
    private String designChangesAttach;
    /**
     * 承包单位id       db_column: branch_id
     */
    private Integer branchId;
//columns END

}
