package io.platform.project.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

@Data
public class ProjectBillsStepsAdjustDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 业务活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 子工程节点id       db_column: project_node_id
     */
    private Integer projectNodeId;
    /**
     * 工程步骤id       db_column: project_step_id
     */
    private Integer projectStepId;
    /**
     * 原计划开工日期       db_column: plan_org_start_date
     */
    private java.util.Date planOrgStartDate;
    /**
     * 原计划竣工日期       db_column: plan_org_end_date
     */
    private java.util.Date planOrgEndDate;
    /**
     * 原计划施工天数       db_column: plan_org_days
     */
    private Integer planOrgDays;
    /**
     * 调整后开工日期       db_column: plan_start_date
     */
    private java.util.Date planStartDate;
    /**
     * 调整后竣工日期       db_column: plan_end_date
     */
    private java.util.Date planEndDate;
    /**
     * 调整后施工天数       db_column: plant_days
     */
    private Integer plantDays;
    /**
     * 操作人       db_column: op_user_id
     */
    private Integer opUserId;
    /**
     * 操作人姓名       db_column: op_user_name
     */
    private String opUserName;
    /**
     * 操作日期       db_column: op_date
     */
    private java.util.Date opDate;
    /**
     * T为新增F为非新增       db_column: is_add
     */
    private String isAdd;
    /**
     * 工程占比       db_column: project_work_rate
     */
    private Double projectWorkRate;
    /**
     * 调整文件       db_column: attach_id
     */
    private String attachId;
    /**
     * 承包单位id       db_column: branch_id
     */
    private Integer branchId;
//columns END

}
