package io.platform.projectSettlement.dto;

import lombok.Data;

@Data
public class ProjectStlBillsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 来源活动号       db_column: src_act_id
     */
    private Integer srcActId;
    /**
     * 来源单据编号       db_column: src_bill_no
     */
    private String srcBillNo;
    /**
     * 来源行号       db_column: src_line_no
     */
    private Integer srcLineNo;
    /**
     * 原始活动号       db_column: org_act_id
     */
    private Integer orgActId;
    /**
     * 原始单据编号       db_column: org_bill_no
     */
    private String orgBillNo;
    /**
     * 原始行号       db_column: org_line_no
     */
    private Integer orgLineNo;
    /**
     * 单据状态（1-新建2处理中6完成）       db_column: bill_status
     */
    private Integer billStatus;
    /**
     * 制单人id       db_column: op_user_id
     */
    private Integer opUserId;
    /**
     * 制单人姓名       db_column: op_user_name
     */
    private String opUserName;
    /**
     * 制单日期       db_column: op_date
     */
    private java.util.Date opDate;
    /**
     * 收款日期       db_column: bill_date
     */
    private java.util.Date billDate;
    /**
     * 提交日期       db_column: post_date
     */
    private java.util.Date postDate;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 承包单位id（即申请单位）       db_column: branch_id
     */
    private Integer branchId;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 业主id       db_column: corp_id
     */
    private Integer corpId;
    /**
     * 合同审定金额       db_column: contract_audit_amt
     */
    private Double contractAuditAmt;
    /**
     * 总包结算日期       db_column: contract_audit_date
     */
    private java.util.Date contractAuditDate;
    /**
     * 预算总金额       db_column: budget_amt
     */
    private Double budgetAmt;
    /**
     * 分包预定金额       db_column: sub_contract_audit_amt
     */
    private Double subContractAuditAmt;
//columns END

}
