package io.platform.purchase.dto;

import lombok.Data;

import java.util.Date;

@Data
public class PurchaseBillsItemsDto  implements java.io.Serializable{
private static final long serialVersionUID = 5454155825314635342L;


/**
 * id       db_column: id
 */
private Integer id;
/**
 * 单据编号（关联ProjectBills表）       db_column: bill_no
 */
private String billNo;
/**
 * 来源行号       db_column: lino_no
 */
private Integer linoNo;
/**
 * 业务活动号ID       db_column: act_id
 */
private Integer actId;
/**
 * 备注       db_column: remake
 */
private String remake;
/**
 * 物料名称       db_column: item_name
 */
private String itemName;
/**
 * 物料编号       db_column: item_no
 */
private String itemNo;
/**
 * 物料规格       db_column: item_specs
 */
private String itemSpecs;
/**
 * 物料单位       db_column: item_unit
 */
private String itemUnit;
/**
 * 数量       db_column: qty
 */
private Double qty;
/**
 * 单价       db_column: price
 */
private Double price;
/**
 * 金额       db_column: amt
 */
private Double amt;
/**
 * 采购类型       db_column: purchase_type_id
 */
private Integer purchaseTypeId;
/**
 * 需求日期       db_column: require_date
 */
private Date requireDate;

/***
 * 子工程编号
 */
private String projectSubNo;/**
     * 供应商ID       db_column: purchase_id
     */
    private Float purchaseId;

    /**
     * 供应商名称
     */
    private String purchaseName;
    /**
     * 本次到货数量       db_column: time_qty
     */
    private Double timeQty;
    /**
     * 需求数量（根据需求计划提取）       db_column: require_qty
     */
    private Double requireQty;
    /**
     * 累计到货数量（多次到货合计）       db_column: receive_total_qty
     */
    private Double receiveTotalQty;
    /**
     * 累计开票数量（付款发票模块生成）       db_column: inv_total_qty
     */
    private Double invTotalQty;
    /**
     * 累计开票金额（付款发票模块生成）       db_column: inv_total_amt
     */
    private Double invTotalAmt;
    /**
     * 单价       db_column: time_price
     */
    private Double timePrice;
    /**
     * 本次到货金额=Qty*Price       db_column: time_amt
     */
    private Double timeAmt;
    /**
     * 来源活动ID       db_column: src_act_id
     */
    private Integer srcActId;
    /**
     * 来源单据编号       db_column: src_bill_no
     */
    private String srcBillNo;
    /**
     * 来源行号       db_column: src_line_no
     */
    private Integer srcLinoNo;
    /**
     * 原始活动ID       db_column: org_act_id
     */
    private Integer orgActId;
    /**
     * 原始编号       db_column: org_bill_no
     */
    private String orgBillNo;
    /**
     * 原始行号       db_column: org_line_no
     */
    private Integer orgLinoNo;
    /**
     * 合同金额       db_column: org_line_no
     */
    private Double contractAmt;
    /**
     * 合同单价       db_column: org_line_no
     */
    private Double contractPrice;
    /**
     * 累计采购数量       db_column: purchase_Inv_Qty
     */
    private Double purchaseInvQty;
    /**
     * 合同数量       db_column: org_line_no
     */
    private Double contractQty;
    /**
     * 本次到货时间       db_column: org_line_no
     */
    private Date purchaseInvTime;
    /**
     * 累计合同金额       db_column: org_line_no
     */
    private Double purchaseInvAmt;
    /**
     * 供应商名称       db_column: purchase_name
     */
    private String opName;

    /**
     * 本次维护时间       db_column: org_line_no
     */
    private Date opDate;
    /**
     *  库存单价
     */
    private Double unitPrice;
    /**
     *  到货验收单
     */
    private String arrivalAcceptanceFile;
//columns END

}
