
package io.platform.purchase.service.client.api;

import com.baomidou.mybatisplus.plugins.Page;
import io.platform.purchase.dto.PurchaseBillsPuridsDto;

import java.util.List;
import java.util.Map;

import io.platform.base.common.utils.ExecuteResult;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface PurchaseBillsPuridsServiceClient{
        /**
         * 根据ID 查询单个对象
         */
        PurchaseBillsPuridsDto queryObject(Long id);
        /**
         * 根据参数查询 列表  无分页
         */
        List<PurchaseBillsPuridsDto>queryList(Map<String, Object> map);
        /**
         * 根据参数查询 对应参数的 集合大小
         */
        int queryTotal(Map<String, Object> map);
        /**
         * 保存对象
         */
        ExecuteResult<String> save(PurchaseBillsPuridsDto purchaseBillsPuridsDto);
        /**
         * 更新对象
         */
        ExecuteResult<String> update(PurchaseBillsPuridsDto purchaseBillsPuridsDto);
        /**
         * 根据主键 删除对象
         */
        ExecuteResult<String> delete(Long id);
        /**
         * 根据主键集合 批量删除
         */
        ExecuteResult<String> deleteBatch(List<Long> idList);
        /**
         * 根据分页参数 获取 分页集合
         */
        Page<PurchaseBillsPuridsDto>getPage(Page<PurchaseBillsPuridsDto>page,PurchaseBillsPuridsDto purchaseBillsPuridsDto);

    Map<String, Object> getSupplierPage(Page<PurchaseBillsPuridsDto> page, PurchaseBillsPuridsDto purchaseBillsPuridsDto);
}
