
package io.platform.sys.service.client.api;

import com.baomidou.mybatisplus.plugins.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysCaptchaDto;

import java.util.List;
import java.util.Map;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface SysCaptchaServiceClient {
        /**
         * 根据ID 查询单个对象
         */
    SysCaptchaDto queryObject(String id);
        /**
         * 根据参数查询 列表  无分页
         */
    List<SysCaptchaDto> queryList(Map<String, Object> map);
        /**
         * 根据参数查询 对应参数的 集合大小
         */
    int queryTotal(Map<String, Object> map);
        /**
         * 保存对象
         */
    ExecuteResult<String> save(SysCaptchaDto sysCaptchaDto);
        /**
         * 更新对象
         */
    ExecuteResult<String> update(SysCaptchaDto sysCaptchaDto);
        /**
         * 根据主键 删除对象
         */
    ExecuteResult<String> delete(String id);
        /**
         * 根据主键集合 批量删除
         */
    ExecuteResult<String> deleteBatch(List<String> idList);
        /**
         * 根据分页参数 获取 分页集合
         */
    Page<SysCaptchaDto> getPage(Page<SysCaptchaDto> page, SysCaptchaDto sysCaptchaDto);
}
