package io.platform.approvalConfiguration.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("audit_items_users")
public class AuditItemsUsers extends Model<AuditItemsUsers> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * pid       db_column: pid
     */
    @TableField("pid")
    private Integer pid;

    /**
     * 单据编号       db_column: bill_no
     */
    @TableField("bill_no")
    private String billNo;

    /**
     * 活动号       db_column: act_id
     */
    @TableField("act_id")
    private Integer actId;

    /**
     * 审批人       db_column: user_id
     */
    @TableField("user_id")
    private Integer userId;

    /**
     * O提交、N未知状态、S待审、B审核退回、A审核通过       db_column: audit_status
     */
    @TableField("audit_status")
    private String auditStatus;
//columns END

}
