package io.platform.approvalConfiguration.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("audit_paths")
public class AuditPaths extends Model<AuditPaths> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 审核路径ID       db_column: path_id
     */
    @TableField("path_id")
    private Integer pathId;

    /**
     * 审核路径名称       db_column: path_name
     */
    @TableField("path_name")
    private String pathName;

    /**
     * 维护人id       db_column: op_user_id
     */
    @TableField("op_user_id")
    private Integer opUserId;

    /**
     * 维护人       db_column: op_user_name
     */
    @TableField("op_user_name")
    private String opUserName;

    /**
     * 维护时间       db_column: op_date
     */
    @TableField("op_date")
    private java.util.Date opDate;

    /**
     * 承包单位ID       db_column: branch_id
     */
    @TableField("branch_id")
    private Integer branchId;

    /**
     * N-新建；A-有效；S-停用       db_column: status
     */
    @TableField("status")
    private String status;

    /**
     * 备注       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;
//columns END

}
