package io.platform.approvalConfiguration.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("audit_paths_levels")
public class AuditPathsLevels extends Model<AuditPathsLevels> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 审批路径id       db_column: path_id
     */
    @TableField("path_id")
    private Integer pathId;

    /**
     * 审批级次       db_column: level_id
     */
    @TableField("level_id")
    private Integer levelId;

    /**
     * 审批级次名称       db_column: level_name
     */
    @TableField("level_name")
    private String levelName;

    /**
     * 审核人       db_column: audit_user_id
     */
    @TableField("audit_user_id")
    private String auditUserId;

    /**
     * 是否指定审批人       db_column: iffix_audit_user
     */
    @TableField("iffix_audit_user")
    private String iffixAuditUser;

    /**
     * 是否是最后一级审核       db_column: iffinal_item
     */
    @TableField("iffinal_item")
    private String iffinalItem;

    /**
     * 备注       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;
//columns END

}
