
package io.platform.approvalConfiguration.biz.service;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.approvalConfiguration.biz.entity.AuditPaths;
import io.platform.approvalConfiguration.biz.mapper.AuditPathsMapper;
import io.platform.approvalConfiguration.dto.AuditPathsActsDto;
import io.platform.approvalConfiguration.dto.AuditPathsDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("auditPathsService")
public class AuditPathsService extends ServiceImpl<AuditPathsMapper, AuditPaths> {

    public int selectListTotal(Map<String, Object> map) {
        return baseMapper.selectListTotal(map);
    }

    public List<Map<String, Object>> selectListCurrent(Map<String, Object> map) {
        return baseMapper.selectListCurrent(map);
    }

    public List<Map<String, Object>> selectAuditPathActs(Map<String, Object> countMap) {
        return baseMapper.selectAuditPathActs(countMap);
    }

    public int selectAuditPathActsCount(AuditPathsActsDto auditPathsActsDto) {
        return baseMapper.selectAuditPathActsCount(auditPathsActsDto);
    }
}
