package io.platform.budget.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.budget.biz.entity.ProjectBillsAdjusts;
import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectBillsSubsDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface ProjectBillsAdjustsMapper extends BaseMapper<ProjectBillsAdjusts> {

    ProjectBS selectProjectSub(@Param("hashMap") Map<String, Object> map);

    int selectProAdjustsCount(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectProAdjustsRecords(@Param("hashMap") Map<String, Object> map);

    ProjectBS selectProAdjustsVal(@Param("projectSub") ProjectBillsSubsDto projectBillsSubsDto);
}
