package io.platform.budget.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.budget.biz.entity.ProjectBillsBudgets;
import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectbillsDto;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface ProjectBillsBudgetsMapper extends BaseMapper<ProjectBillsBudgets> {

    ProjectBS selectProBS(@Param("id") Integer id);

    int deleteLowBudgets(@Param("proBs") ProjectBS projectBS);

    @Select("select SUM(approved_amount) from project_bills_budgets where project_sub_no = #{bud.projectSubNo} and branch_id = #{bud.branchId}")
    double selectApprovedAmountSum(@Param("bud") ProjectBillsBudgets projectBillsBudgets);
}
