
package io.platform.budget.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import io.platform.budget.biz.entity.ProjectBillsAdjusts;
import io.platform.budget.biz.mapper.ProjectBillsAdjustsMapper;
import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectBillsSubsDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("projectBillsAdjustsService")
public class ProjectBillsAdjustsService extends ServiceImpl<ProjectBillsAdjustsMapper, ProjectBillsAdjusts> {

    public ProjectBS selectProjectSub(Map<String, Object> map) {
        return baseMapper.selectProjectSub(map);
    }

    public int selectProAdjustsCount(Map<String, Object> map) {
        return baseMapper.selectProAdjustsCount(map);
    }

    public List<Map<String, Object>> selectProAdjustsRecords(Map<String, Object> map) {
        return baseMapper.selectProAdjustsRecords(map);
    }

    public ProjectBS selectProAdjustsVal(ProjectBillsSubsDto projectBillsSubsDto) {
        return baseMapper.selectProAdjustsVal(projectBillsSubsDto);
    }
}
