
package io.platform.contract.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;


import io.platform.contract.biz.entity.OtherProject;
import io.platform.contract.biz.mapper.OtherProjectMapper;
import io.platform.engineering.biz.service.BpurchasesService;
import io.platform.moneyManagement.biz.entity.InvoiceBills;
import io.platform.sys.dto.SysUserDto;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;


@Service("otherProjectService")
public class OtherProjectService extends ServiceImpl<OtherProjectMapper, OtherProject> {
    @Resource
    private BpurchasesService bpurchasesService;

    public int selectOtherProPageTotal(Map<String, Object> map) {
        return baseMapper.selectOtherProPageTotal(map);
    }

    public List<Map<String, Object>> selectOtherProPageRecords(Map<String, Object> map) {
        return baseMapper.selectOtherProPageRecords(map);



    }

    public List<OtherProject> purchaseNcPage(Map<String, Object> map) {
        return baseMapper.purchaseNcPage(map);
    }
    /**
     *  更新其他合同的
     */
    public OtherProject installOrUpdateOtherProject(InvoiceBills invoiceBills,SysUserDto sysUserDto) {
        OtherProject otherProjectInstall = new OtherProject();
        otherProjectInstall.setProjectSubNo(invoiceBills.getProjectSubNo());
        otherProjectInstall.setPurchaseNcNo(invoiceBills.getPurchaseNcNo());
        otherProjectInstall.setPurchasesId(invoiceBills.getPurchaseId());
        otherProjectInstall.setPurchasesName(bpurchasesService.selectById(invoiceBills.getPurchaseId()).getCname());
        otherProjectInstall.setBudgetId(invoiceBills.getBudgetId());
        otherProjectInstall.setContractAmt(invoiceBills.getContractAmt());
        otherProjectInstall.setContractTotalAmt(invoiceBills.getInvAmt());
        otherProjectInstall.setOpUserId(sysUserDto.getUserId().intValue());
        otherProjectInstall.setBranchId(sysUserDto.getLoginContractorId());
        otherProjectInstall.setOpDate(new Date());
        otherProjectInstall.setIsSur(invoiceBills.getIsSur());
        otherProjectInstall.setStatus(6);
        if (invoiceBills.getFileAddress() != null && !invoiceBills.getFileAddress().equals("")) {
            otherProjectInstall.setAttachId(invoiceBills.getFileAddress());
        }
        return otherProjectInstall;
    }
}
