package io.platform.engineering.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("b_corp_types")
public class BcorpTypes extends Model<BcorpTypes> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * corpTypeId       db_column: corp_type_id
     */
    @TableField("corp_type_id")
    private Integer corpTypeId;

    /**
     * 客户类型编号       db_column: corp_type_no
     */
    @TableField("corp_type_no")
    private String corpTypeNo;

    /**
     * 客户类型名称       db_column: corp_type_name
     */
    @TableField("corp_type_name")
    private String corpTypeName;

    /**
     * 操作员       db_column: op_user_name
     */
    @TableField("op_user_name")
    private String opUserName;

    /**
     * 操作日期       db_column: op_date
     */
    @TableField("op_date")
    private java.util.Date opDate;

    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    @TableField("status")
    private String status;

    /**
     * 备注       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;
//columns END

}
