package io.platform.engineering.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("b_depts")
public class Bdepts extends Model<Bdepts> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * deptId       db_column: dept_id
     */
    @TableField("dept_id")
    private Integer deptId;

    /**
     * 部门编号       db_column: dept_no
     */
    @TableField("dept_no")
    private String deptNo;

    /**
     * 部门名称       db_column: dept_name
     */
    @TableField("dept_name")
    private String deptName;

    /**
     * 单位电话       db_column: tel
     */
    @TableField("tel")
    private String tel;

    /**
     * 单位穿着       db_column: fax
     */
    @TableField("fax")
    private String fax;

    /**
     * 企业负责人       db_column: manager
     */
    @TableField("manager")
    private String manager;

    /**
     * 负责人电话       db_column: manager_tel
     */
    @TableField("manager_tel")
    private String managerTel;

    /**
     * 操作员       db_column: op_user_name
     */
    @TableField("op_user_name")
    private String opUserName;

    /**
     * 操作日期       db_column: op_date
     */
    @TableField("op_date")
    private java.util.Date opDate;

    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    @TableField("status")
    private String status;

    /**
     * 备注       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;
    /**
     * 承包单位id       db_column: branch_id
     */
    @TableField("branch_id")
    private Integer branchId;
//columns END

}
