package io.platform.engineering.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("b_empls")
public class Bempls extends Model<Bempls> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * emplId       db_column: empl_id
     */
    @TableField("empl_id")
    private Integer emplId;

    /**
     * 所在部门       db_column: dept_id
     */
    @TableField("dept_id")
    private Integer deptId;

    /**
     * 所属单位       db_column: branch_id
     */
    @TableField("branch_id")
    private Integer branchId;

    /**
     * 员工编号       db_column: empl_no
     */
    @TableField("empl_no")
    private String emplNo;

    /**
     * 员工姓名       db_column: empl_name
     */
    @TableField("empl_name")
    private String emplName;

    /**
     * 性别       db_column: gender
     */
    @TableField("gender")
    private String gender;

    /**
     * 出生日期       db_column: birth_day
     */
    @TableField("birth_day")
    private java.util.Date birthDay;

    /**
     * 照片       db_column: photo
     */
    @TableField("photo")
    private byte[] photo;

    /**
     * 身份证号       db_column: id_card
     */
    @TableField("id_card")
    private String idCard;

    /**
     * 单位电话       db_column: tel
     */
    @TableField("tel")
    private String tel;

    /**
     * 单位传真       db_column: fax
     */
    @TableField("fax")
    private String fax;

    /**
     * 学历       db_column: edlevel
     */
    @TableField("edlevel")
    private String edlevel;

    /**
     * 操作员       db_column: op_user_name
     */
    @TableField("op_user_name")
    private String opUserName;

    /**
     * 操作日期       db_column: op_date
     */
    @TableField("op_date")
    private java.util.Date opDate;

    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    @TableField("status")
    private String status;

    /**
     * 备注       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;
//columns END

}
