package io.platform.engineering.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("b_pay_propertys")
public class BpayPropertys extends Model<BpayPropertys> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * payPropertyId       db_column: pay_property_id
     */
    @TableField("pay_property_id")
    private Integer payPropertyId;

    /**
     * 款项性质编号       db_column: pay_property_no
     */
    @TableField("pay_property_no")
    private String payPropertyNo;

    /**
     * 款项性质名称       db_column: pay_property_name
     */
    @TableField("pay_property_name")
    private String payPropertyName;

    /**
     * 操作员姓名       db_column: op_user_name
     */
    @TableField("op_user_name")
    private String opUserName;

    /**
     * 操作日期       db_column: op_date
     */
    @TableField("op_date")
    private java.util.Date opDate;

    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    @TableField("status")
    private String status;

    /**
     * 备注       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;
//columns END

}
