package io.platform.engineering.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("b_project_nodes")
public class BprojectNodes extends Model<BprojectNodes> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * projectNodeId       db_column: project_node_id
     */
    @TableField("project_node_id")
    private Integer projectNodeId;

    /**
     * 工程节点编号       db_column: project_node_no
     */
    @TableField("project_node_no")
    private String projectNodeNo;

    /**
     * 工程节点名称       db_column: project_node_name
     */
    @TableField("project_node_name")
    private String projectNodeName;

    /**
     * 工程类型id       db_column: project_type_id
     */
    @TableField("project_type_id")
    private Integer projectTypeId;

    /**
     * 操作员       db_column: op_user_name
     */
    @TableField("op_user_name")
    private String opUserName;

    /**
     * 操作时间       db_column: op_date
     */
    @TableField("op_date")
    private java.util.Date opDate;

    /**
     * 状态(N新建A有效S停用)       db_column: status
     */
    @TableField("status")
    private String status;

    /**
     * 备注       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;
//columns END

    /**
     * 排序值
     */
    @TableField("sort_num")
    private Integer sortNum;

    /**
     * 承包单位
     */
    @TableField("branch_id")
    private Integer branchId;

}
