
package io.platform.engineering.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.engineering.biz.entity.BpurchaseSubTypes;
import io.platform.engineering.biz.mapper.BpurchasesMapper;
import io.platform.engineering.biz.entity.Bpurchases;

import io.platform.engineering.dto.BpurchasesDto;
import io.platform.sys.dto.SysUserDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("bpurchasesService")
public class BpurchasesService extends ServiceImpl<BpurchasesMapper, Bpurchases> {

    public List<Bpurchases> down(@Param("dto") SysUserDto sysUserDto) {
        return baseMapper.down(sysUserDto);
    }

    public int queryDirectPayTotal(Map<String, Object> map) {
        return baseMapper.queryDirectPayTotal(map);
    }

    public List<Bpurchases> queryDirectPayRecords(Map<String, Object> map) {
        return baseMapper.queryDirectPayRecords(map);
    }

    public List<BpurchasesDto> selectProjectPriceBudget(String subNo, Integer loginContractorId) {
        return baseMapper.selectProjectPriceBudget(subNo,loginContractorId);
    }
}
