package io.platform.fileManagement.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("data_file_management")
public class DataFileManagement extends Model<DataFileManagement>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value="id", type= IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }


    /**
     * 父级id       db_column: parent_id
     */
    @TableField("parent_id")
    private Integer parentId;

    /**
     * 文件名称       db_column: data_name
     */
    @TableField("data_name")
    private String dataName;

    /**
     * 文件路径       db_column: data_path
     */
    @TableField("data_type")
    private String dataType;

    /**
     * 上传时间       db_column: upload_time
     */
    @TableField("upload_time")
    private java.util.Date uploadTime;


    /**
     * 删除标志       db_column: del_flag
     */
    @TableField("del_flag")
    private Integer delFlag;

    /**
     * 预留字段1       db_column: reserved1
     */
    @TableField("reserved1")
    private String reserved1;

    /**
     * 预留字段2       db_column: reserved2
     */
    @TableField("reserved2")
    private String reserved2;
//columns END
}
