
package io.platform.fileManagement.biz.service;

import com.baomidou.mybatisplus.mapper.SqlHelper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;


import io.platform.fileManagement.biz.entity.DataFileOperating;
import io.platform.fileManagement.biz.mapper.DataFileOperatingMapper;
import io.platform.fileManagement.dto.DataFileOperatingDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("dataFileOperatingService")
public class DataFileOperatingService extends ServiceImpl<DataFileOperatingMapper, DataFileOperating>{
    public  List<DataFileOperatingDto> selectQueryPage(Page<DataFileOperating> page,DataFileOperatingDto dataFileOperatingDto) {

        return baseMapper.selectQueryPage( page,dataFileOperatingDto);
    }
    public  Integer selectQueryPageCount(Page<DataFileOperating> page,DataFileOperatingDto dataFileOperatingDto) {

        return baseMapper.selectQueryPageCount( page,dataFileOperatingDto);
    }

    public  DataFileOperatingDto selectByFileId(Long id){

        return baseMapper.selectByFileId(id);
    }
}
