package io.platform.moneyManagement.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("invoice_bills_attachs")
public class InvoiceBillsAttachs extends Model<InvoiceBillsAttachs> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 单据编号       db_column: bill_no
     */
    @TableField("bill_no")
    private String billNo;

    /**
     * 行号       db_column: line_no
     */
    @TableField("line_no")
    private Integer lineNo;

    /**
     * 活动号       db_column: act_id
     */
    @TableField("act_id")
    private Integer actId;

    /**
     * 备注       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;

    /**
     * 附件名称       db_column: attach_name
     */
    @TableField("attach_name")
    private String attachName;

    /**
     * 关联附件       db_column: attach_id
     */
    @TableField("attach_id")
    private String attachId;

    /**
     * 上传人id       db_column: op_user_id
     */
    @TableField("op_user_id")
    private Integer opUserId;

    /**
     * 上传人姓名       db_column: op_user_name
     */
    @TableField("op_user_name")
    private String opUserName;

    /**
     * 上传日期       db_column: op_date
     */
    @TableField("op_date")
    private java.util.Date opDate;
//columns END

}
