package io.platform.moneyManagement.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.contract.biz.entity.ProjectBillsStlPlans;
import io.platform.moneyManagement.biz.entity.InvoiceBills;
import io.platform.moneyManagement.dto.InvoiceBillsDto;
import io.platform.moneyManagement.dto.PayCrBillsDto;
import io.platform.project.biz.entity.ProjectBillsSubs;
import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectBillsSubsDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface InvoiceBillsMapper extends BaseMapper<InvoiceBills> {

    ProjectBS selectInvoice(@Param("project") ProjectBillsSubsDto projectBillsSubsDto);

    List<ProjectBillsStlPlans> selectProStlPlans(@Param("plan") ProjectBS projectBS);

    ProjectBS selectDirectCostTemporary(@Param("hashMap") Map<String, Object> map);

    int selectInvoiceTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectInvoiceRecords(@Param("hashMap") Map<String, Object> map);

    int selectInvoiceMaterialTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectInvoiceMaterialRecords(@Param("hashMap") Map<String, Object> map);

    Map<String, Object> selectReimbursementPrint(@Param("invo") InvoiceBillsDto invoiceBillsDto);

    int selectPaymentInvoiceCount(@Param("hashMap") Map<String, Object> map);

    List<InvoiceBills> selectPaymentInvoiceRecords(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectInvoiceIndirectPro(@Param("invoice") InvoiceBillsDto invoiceBillsDto);

    Map<String, Object> selectPayInvoProSub(@Param("invoice") InvoiceBillsDto invoiceBillsDto);

    Map<String, Object> selectPayCrIndirectPrint(@Param("payCr") PayCrBillsDto payCrBillsDto);

    List<ProjectBillsSubs> selectPayCrIndirectPrintProSub(@Param("payCr") PayCrBillsDto payCrBillsDto);

    int selectOtherIndirectCount(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectOtherIndirect(@Param("hashMap") Map<String, Object> map);
}
