
package io.platform.moneyManagement.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.moneyManagement.biz.entity.InvoiceBills;
import io.platform.moneyManagement.biz.entity.InvoiceBillsShares;
import io.platform.moneyManagement.biz.mapper.InvoiceBillsSharesMapper;
import org.springframework.stereotype.Service;

import java.util.List;


@Service("invoiceBillsSharesService")
public class InvoiceBillsSharesService extends ServiceImpl<InvoiceBillsSharesMapper, InvoiceBillsShares> {

    public List<InvoiceBillsShares> selectInvoShareList(InvoiceBills invoiceBills) {
        return baseMapper.selectInvoShareList(invoiceBills);
    }

    public boolean insertInvShares(InvoiceBillsShares is) {
        return baseMapper.insertInvShares(is);
    }

    public List<InvoiceBillsShares> selectWithdrawalInvoShareList(InvoiceBills invoiceBills) {
        return baseMapper.selectWithdrawalInvoShareList(invoiceBills);
    }
}
