package io.platform.progressConfiguration.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("project_node_nexus")
public class ProjectNodeNexus extends Model<ProjectNodeNexus> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 项目大类id       db_column: project_type_id
     */
    @TableField("project_type_id")
    private Integer projectTypeId;

    /**
     * 项目小类id       db_column: project_type_item_id
     */
    @TableField("project_type_item_id")
    private Integer projectTypeItemId;

    /**
     * 承包单位id       db_column: branch_id
     */
    @TableField("branch_id")
    private Integer branchId;

    /**
     * 操作人id       db_column: op_user_id
     */
    @TableField("op_user_id")
    private Integer opUserId;

    /**
     * 操作时间       db_column: op_date
     */
    @TableField("op_date")
    private java.util.Date opDate;

    /**
     * 状态（A有效 S无效）       db_column: status
     */
    @TableField("status")
    private String status;
//columns END

}
