package io.platform.progressConfiguration.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("project_node_nexus_item")
public class ProjectNodeNexusItem extends Model<ProjectNodeNexusItem> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 节点配置主表id       db_column: project_node_nexus_id
     */
    @TableField("project_node_nexus_id")
    private Integer projectNodeNexusId;

    /**
     * 节点id       db_column: project_node_id
     */
    @TableField("project_node_id")
    private Integer projectNodeId;

    /**
     * 步骤id       db_column: project_node_steps
     */
    @TableField("project_node_steps_id")
    private Integer projectNodeStepsId;

    /**
     * 承包单位id       db_column: branch_id
     */
    @TableField("branch_id")
    private Integer branchId;

    /**
     * 状态（A有效 S无效）       db_column: status
     */
    @TableField("status")
    private String status;
//columns END

}
