package io.platform.project.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("project_bills_history")
public class ProjectBillsHistory extends Model<ProjectBillsHistory> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 项目Id       db_column: project_id
     */
    @TableField("project_id")
    private Integer projectId;

    /**
     * 流水号       db_column: serial_number
     */
    @TableField("serial_number")
    private String serialNumber;

    /**
     * 历史名称       db_column: history_name
     */
    @TableField("modify_reason")
    private String modifyReason;

    /**
     * 修改人       db_column: history_user
     */
    @TableField("history_user")
    private Integer historyUser;

    private String historyUserName;

    /**
     * 记录时间       db_column: history_date
     */
    @TableField("history_date")
    private java.util.Date historyDate;

    /**
     * 历史内容       db_column: history_body
     */
    @TableField("history_body1")
    private String historyBody1;
    @TableField("history_body2")
    private String historyBody2;
    @TableField("history_body3")
    private String historyBody3;
    @TableField("history_body4")
    private String historyBody4;
    // 是否结算信息（1是0否）
    @TableField("is_settlement")
    private Integer isSettlement;
//columns END

}
