package io.platform.project.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.project.biz.entity.ProcessBillsSteps;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface ProcessBillsStepsMapper extends BaseMapper<ProcessBillsSteps> {
    @Select("SELECT ste.id, ste.project_sub_no, ste.project_node_id, ste.project_step_id, ste.project_work_rate," +
            " ste.act_end_date, ste.act_days, ste.attach1, ste.attach2, ste.design_changes_attach," +
            " ste.remarks FROM process_bills_steps ste" +
            " LEFT JOIN project_bills_subs sub ON sub.project_sub_no = ste.project_sub_no AND sub.branch_id = ste.branch_id" +
            " where sub.id = #{id}")
    List<ProcessBillsSteps> selectProcessVal(@Param("id") Integer id);
}
