package io.platform.project.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.project.biz.entity.ProjectBillsSteps;
import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectBillsSubsDto;
import io.platform.project.dto.ProjectbillsDto;
import io.platform.sys.biz.entity.SysRole;
import io.platform.sys.dto.SysUserDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface ProjectBillsStepsMapper extends BaseMapper<ProjectBillsSteps> {

    ProjectBS selectProBS(@Param("project") ProjectBillsSubsDto billNo);

    List<ProjectBillsSteps> selectSteps(@Param("hashMap") Map<String, Object> map);

    int selectProjectSubDataCount(@Param("dto") ProjectBillsSubsDto projectBillsSubsDto,@Param("user") SysUserDto sysUserDto,@Param("role") SysRole sysRole);

    List<Map<String, Object>> selectProjectSubDataList(@Param("current") int current, @Param("size") int size,@Param("dto") ProjectBillsSubsDto projectBillsSubsDto,@Param("user") SysUserDto sysUserDto,@Param("role") SysRole sysRole);
}
