package io.platform.project.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.budget.biz.entity.ProjectBillsAdjusts;
import io.platform.budget.biz.entity.ProjectBillsBudgets;
import io.platform.moneyManagement.dto.InvoiceBillsDto;
import io.platform.project.biz.entity.Projectbills;
import io.platform.project.dto.ProjectbillsDto;
import io.platform.purchase.biz.entity.PurchaseBills;
import io.platform.sys.dto.SysUserDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface ProjectbillsMapper extends BaseMapper<Projectbills> {

    List<Projectbills> selectProjectWarning(@Param("hashMap") Map<String, Object> map);

    int selectSurvivingProTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectSurvivingProRecords(@Param("hashMap") Map<String, Object> map);

    int selectProjectTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectProjectRecords(@Param("hashMap") Map<String, Object> map);

    int selectProjectStartTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectProjectStartRecords(@Param("hashMap") Map<String, Object> map);

    int selectProTurnKeyTotal(@Param("hashMap") Map<String, Object> map);

    int selectContractProPageTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectContractProPageRecords(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectProRenewRecords(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectProRenewAdjustmentRecords(@Param("hashMap") Map<String, Object> map);

    int selectProRenewTotal(@Param("hashMap") Map<String, Object> map);

    int selectProRenewAdjustmentTotal(@Param("hashMap") Map<String, Object> map);

    List<ProjectBillsBudgets> selectProjectBudget(@Param("hashMap") ProjectbillsDto projectbillsDto);

    Map<String, Object> queryProjectSumPayCr(@Param("project") ProjectbillsDto projectbillsDto);

    int selectSettlementTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectSettlementRecords(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectProjectEndQueryPendingVal(@Param("pro") ProjectbillsDto projectbillsDto);

    List<Map<String, Object>> getHomeProList(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectPurchQueryPendingVal(@Param("pro") ProjectbillsDto projectbillsDto);

    Map<String, Object> queryTurnkeyExistingVal(@Param("id") Integer id);

    List<Map<String, Object>> selectProjectSubEndQueryPendingVal(@Param("pro") ProjectbillsDto projectbillsDto);

    List<Map<String, Object>> selectPurchaseQueryPendingVal(@Param("purchase") PurchaseBills purchaseBills,
                                                            @Param("actId") Integer actId);

    List<Map<String, Object>> selectInvoiceQueryPendingVal(@Param("pro") ProjectbillsDto projectbillsDto);

    List<Map<String, Object>> selectInvoiceIndirectQueryPendingVal(@Param("pro") ProjectbillsDto projectbillsDto);

    int selectWarningReminderCount(@Param("pro") ProjectbillsDto projectbillsDto);

    List<Map<String, Object>> selectWarningReminderCondition(@Param("hashMap") Map<String, Object> map);

    int selectReminderTotal(@Param("pro") ProjectbillsDto projectbillsDto);

    List<Map<String, Object>> selectReminderCurrent(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectPayCrQueryPendingVal(@Param("pro") ProjectbillsDto projectbillsDto);

    List<Map<String, Object>> selectBudgetsQueryPendingVal(@Param("pro") ProjectbillsDto projectbillsDto);

    List<Map<String, Object>> selectInvoiceSharesVal(@Param("pro") ProjectbillsDto projectbillsDto);

    double selectSumPurchaseInvCr(@Param("inv") InvoiceBillsDto invoiceBillsDto, @Param("use") SysUserDto sysUserDto);

    double selectSumPurchaseIndirectInvCr(@Param("inv") InvoiceBillsDto invoiceBillsDto, @Param("use") SysUserDto sysUserDto);

    List<Map<String, Object>> selectPayCrSharesQueryPendingVal(@Param("pro") ProjectbillsDto projectbillsDto);
}
