package io.platform.project.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.project.biz.entity.SubContractBills;
import io.platform.project.dto.ProjectBillsSubsDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface SubContractBillsMapper extends BaseMapper<SubContractBills> {
    List<Map<String, Object>> subContractPage(@Param("map") Map<String, Object> map);

    int subContractPageTotal(@Param("map") Map<String, Object> map);

    int selectEnineeringCount(@Param("hashMap") Map<String, Object> map);

    List<SubContractBills> selectEnineeringRecords(@Param("hashMap")Map<String, Object> map);

    Map<String, Object> selectSubContractTempProject(@Param("subCont") SubContractBills subContractBills);

    List<Map<String, Object>> selectRenewRecordNew(@Param("projectSub") ProjectBillsSubsDto projectBillsSubsDto);
}
