
package io.platform.project.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.project.biz.entity.ProcessBills;
import io.platform.project.biz.entity.ProjectBillsSteps;
import io.platform.project.biz.entity.Projectbills;
import io.platform.project.biz.mapper.ProcessBillsMapper;
import io.platform.project.dto.ProcessBillsDto;
import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectBillsSubsDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("processBillsService")
public class ProcessBillsService extends ServiceImpl<ProcessBillsMapper, ProcessBills> {

    public ProjectBS selectProjectSub(ProjectBillsSubsDto projectBillsSubsDto) {
        return baseMapper.selectProjectSub(projectBillsSubsDto);
    }

    public ProjectBS selectDataTemporary(ProjectBillsSubsDto projectBillsSubsDto) {
        return baseMapper.selectDataTemporary(projectBillsSubsDto);
    }

    public List<ProjectBillsSteps> selectProStepsDate(ProjectBS projectBS) {
        return baseMapper.selectProStepsDate(projectBS);
    }

    public int selectProcessTotal(Map<String, Object> map) {
        return baseMapper.selectProcessTotal(map);
    }

    public List<Map<String, Object>> selectProcessRecords(Map<String, Object> map) {
        return baseMapper.selectProcessRecords(map);
    }

    public Map<String, Object> selectProjectProcessData(Integer id) {
        return baseMapper.selectProjectProcessData(id);
    }
}
