
package io.platform.project.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.project.biz.entity.ProjectBillsSteps;
import io.platform.project.biz.mapper.ProjectBillsStepsMapper;
import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectBillsSubsDto;
import io.platform.project.dto.ProjectbillsDto;
import io.platform.sys.biz.entity.SysRole;
import io.platform.sys.dto.SysUserDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("projectBillsStepsService")
public class ProjectBillsStepsService extends ServiceImpl<ProjectBillsStepsMapper, ProjectBillsSteps> {

    public ProjectBS selectProBS(ProjectBillsSubsDto billNo) {
        return baseMapper.selectProBS(billNo);
    }

    public List<ProjectBillsSteps> selectSteps(Map<String, Object> map) {
        return baseMapper.selectSteps(map);
    }

    public int selectProjectSubDataCount(ProjectBillsSubsDto projectBillsSubsDto, SysUserDto sysUserDto, SysRole sysRole) {
        return baseMapper.selectProjectSubDataCount(projectBillsSubsDto,sysUserDto,sysRole);
    }

    public List<Map<String,Object>> selectProjectSubDataList(int current, int size,ProjectBillsSubsDto projectBillsSubsDto, SysUserDto sysUserDto, SysRole sysRole) {
        return baseMapper.selectProjectSubDataList(current,size,projectBillsSubsDto,sysUserDto,sysRole);
    }
}
