
package io.platform.project.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.budget.biz.entity.ProjectBillsBudgets;
import io.platform.project.biz.mapper.ProjectBillsSubsMapper;
import io.platform.project.biz.entity.ProjectBillsSubs;

import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectBillsSubsDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("projectBillsSubsService")
public class ProjectBillsSubsService extends ServiceImpl<ProjectBillsSubsMapper, ProjectBillsSubs> {

    public List<ProjectBillsSubs> querySettlementProjectSubs(Map<String, Object> mapVal) {
        return baseMapper.querySettlementProjectSubs(mapVal);
    }

    public int querySettlementProjectSubsCount(Map<String, Object> mapVal) {
        return baseMapper.querySettlementProjectSubsCount(mapVal);
    }

    public int conditionalQueryProjectSubsNum(Map<String, Object> map) {
        return baseMapper.conditionalQueryProjectSubsNum(map);
    }

    public List<Map<String, Object>> conditionalQueryProjectSubs(Map<String, Object> map) {
        return baseMapper.conditionalQueryProjectSubs(map);
    }

    public int selectProSubsTotal(Map<String, Object> map) {
        return baseMapper.selectProSubsTotal(map);
    }

    public List<Map<String, Object>> selectProSubsRecords(Map<String, Object> map) {
        return baseMapper.selectProSubsRecords(map);
    }

    public Map<String, Object> selectProjectSummaryData(Map<String, Object> map) {
        return baseMapper.selectProjectSummaryData(map);
    }

    public List<Map<String, Object>> selectSubContractData(Map<String, Object> map) {
        return baseMapper.selectSubContractData(map);
    }

    public List<Map<String, Object>> selectSubBudgetsData(Map<String, Object> map) {
        return baseMapper.selectSubBudgetsData(map);
    }

    public int selectProSummaryTotal(Map<String, Object> map) {
        return baseMapper.selectProSummaryTotal(map);
    }

    public List<Map<String, Object>> selectProSummaryRecords(Map<String, Object> map) {
        return baseMapper.selectProSummaryRecords(map);
    }

    public int selectBalanceTotal(Map<String, Object> map) {
        return baseMapper.selectBalanceTotal(map);
    }

    public List<Map<String, Object>> selectBalanceRecords(Map<String, Object> map) {
        return baseMapper.selectBalanceRecords(map);
    }

    public ProjectBS selectProBalanceVal(ProjectBillsSubsDto projectBillsSubsDto) {
        return baseMapper.selectProBalanceVal(projectBillsSubsDto);
    }

    public int queryPayInvoiceTotal(Map<String, Object> map) {
        return baseMapper.queryPayInvoiceTotal(map);
    }

    public List<ProjectBillsSubs> queryPayInvoiceRecords(Map<String, Object> map) {
        return baseMapper.queryPayInvoiceRecords(map);
    }

    public List<Map<String, Object>> selectPurchaseResult(Map<String, Object> map) {
        return baseMapper.selectPurchaseResult(map);
    }

    public int selectEngineeringTotal(Map<String, Object> map) {
        return baseMapper.selectEngineeringTotal(map);
    }

    public List<Map<String, Object>> selectEngineeringRecords(Map<String, Object> map) {
        return baseMapper.selectEngineeringRecords(map);
    }

    public List<Map<String, Object>> selectEngineeringExportExcel(ProjectBillsSubsDto projectBillsSubsDto) {
        return baseMapper.selectEngineeringExportExcel(projectBillsSubsDto);
    }

    public Map<String, Object> selectProSubBudget(ProjectBillsSubsDto projectBillsSubsDto) {
        return baseMapper.selectProSubBudget(projectBillsSubsDto);
    }

    public List<Map<String, Object>>  selectSubInvSharesData(Map<String, Object> map) {
        return baseMapper.selectSubInvSharesData(map);
    }

    public List<Map<String, Object>> selectPurchaseResultGoodsItem(Map<String, Object> map) {
        return baseMapper.selectPurchaseResultGoodsItem(map);
    }

    public int selectPurchaseResultCount(Map<String, Object> map) {
        return baseMapper.selectPurchaseResultCount(map);
    }

    public int selectPurchaseResultGoodsItemCount(Map<String, Object> map) {
        return baseMapper.selectPurchaseResultGoodsItemCount(map);
    }

    public int selectMoneySettlementTotal(Map<String, Object> params) {
        return baseMapper.selectMoneySettlementTotal(params);
    }

    public List<Map<String, Object>> selectMoneySettlementRecords(Map<String, Object> params) {
        return baseMapper.selectMoneySettlementRecords(params);
    }

    public Map<String, Object> selectClsingVal(Integer integer) {
        return baseMapper.selectClsingVal(integer);
    }

    public List<ProjectBillsBudgets> selectClsingBudgets(Integer integer) {
        return baseMapper.selectClsingBudgets(integer);
    }

    public List<Map<String, Object>> selectPayCrShares(Map<String, Object> map) {
        return baseMapper.selectPayCrShares(map);
    }

    public List<Map<String, Object>> selectSubsistingExportExcel(Map<String, Object> map) {
        return baseMapper.selectSubsistingExportExcel(map);
    }

    public List<ProjectBillsSubs> queryPayInvoiceRecordsNew(int current, int size, String projectSubName, String ncProjectNo, String projectSubNo, Integer loginContractorId, Integer budgetId) {
        return baseMapper.queryPayInvoiceRecordsNew( current,  size,  projectSubName,  ncProjectNo,  projectSubNo,loginContractorId,budgetId);
    }

    public Integer getQTY(Object projectSubNo, Object branchId) {
        return baseMapper.getQTY(projectSubNo,branchId);
    }

    public Integer getBicQTY(Object projectSubNo, Integer settlementStatus) {
        return baseMapper.getBicQTY(projectSubNo,settlementStatus);
    }
}
