
package io.platform.project.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.budget.biz.entity.ProjectBillsAdjusts;
import io.platform.budget.biz.entity.ProjectBillsBudgets;
import io.platform.moneyManagement.dto.InvoiceBillsDto;
import io.platform.project.biz.mapper.ProjectbillsMapper;
import io.platform.project.biz.entity.Projectbills;

import io.platform.project.dto.ProjectbillsDto;
import io.platform.purchase.biz.entity.PurchaseBills;
import io.platform.sys.dto.SysUserDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("projectbillsService")
public class ProjectbillsService extends ServiceImpl<ProjectbillsMapper, Projectbills> {

    public List<Projectbills> selectProjectWarning(Map<String, Object> map) {
        return baseMapper.selectProjectWarning(map);
    }

    public int selectSurvivingProTotal(Map<String, Object> map) {
        return baseMapper.selectSurvivingProTotal(map);
    }

    public List<Map<String, Object>> selectSurvivingProRecords(Map<String, Object> map) {
        return baseMapper.selectSurvivingProRecords(map);
    }

    public int selectProjectTotal(Map<String, Object> map) {
        return baseMapper.selectProjectTotal(map);
    }

    public List<Map<String, Object>> selectProjectRecords(Map<String, Object> map) {
        return baseMapper.selectProjectRecords(map);
    }

    public int selectProjectStartTotal(Map<String, Object> map) {
        return baseMapper.selectProjectStartTotal(map);
    }

    public List<Map<String, Object>> selectProjectStartRecords(Map<String, Object> map) {
        return baseMapper.selectProjectStartRecords(map);
    }

    public int selectProTurnKeyTotal(Map<String, Object> map) {
        return baseMapper.selectProTurnKeyTotal(map);
    }

    public int selectContractProPageTotal(Map<String, Object> map) {
        return baseMapper.selectContractProPageTotal(map);
    }

    public List<Map<String, Object>> selectContractProPageRecords(Map<String, Object> map) {
        return baseMapper.selectContractProPageRecords(map);
    }

    public int selectProRenewTotal(Map<String, Object> map) {
        return baseMapper.selectProRenewTotal(map);
    }

    public int selectProRenewAdjustmentTotal(Map<String, Object> map) {
        return baseMapper.selectProRenewAdjustmentTotal(map);
    }

    public List<Map<String, Object>> selectProRenewRecords(Map<String, Object> map) {
        return baseMapper.selectProRenewRecords(map);
    }

    public List<Map<String, Object>> selectProRenewAdjustmentRecords(Map<String, Object> map) {
        return baseMapper.selectProRenewAdjustmentRecords(map);
    }

    public List<ProjectBillsBudgets> selectProjectBudget(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectProjectBudget(projectbillsDto);
    }

    public Map<String, Object> queryProjectSumPayCr(ProjectbillsDto projectbillsDto) {
        return baseMapper.queryProjectSumPayCr(projectbillsDto);
    }

    public int selectSettlementTotal(Map<String, Object> map) {
        return baseMapper.selectSettlementTotal(map);
    }

    public List<Map<String, Object>> selectSettlementRecords(Map<String, Object> map) {
        return baseMapper.selectSettlementRecords(map);
    }

    public List<Map<String, Object>> selectProjectEndQueryPendingVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectProjectEndQueryPendingVal(projectbillsDto);
    }

    public List<Map<String, Object>> getHomeProList(Map<String, Object> map) {
        return baseMapper.getHomeProList(map);
    }

    public List<Map<String, Object>> selectPurchQueryPendingVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectPurchQueryPendingVal(projectbillsDto);
    }

    public Map<String, Object> queryTurnkeyExistingVal(Integer id) {
        return baseMapper.queryTurnkeyExistingVal(id);
    }

    public List<Map<String, Object>> selectProjectSubEndQueryPendingVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectProjectSubEndQueryPendingVal(projectbillsDto);
    }

    public List<Map<String, Object>> selectPurchaseQueryPendingVal(PurchaseBills purchaseBills, Integer actId) {
        return baseMapper.selectPurchaseQueryPendingVal(purchaseBills, actId);
    }

    public List<Map<String, Object>> selectInvoiceQueryPendingVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectInvoiceQueryPendingVal(projectbillsDto);
    }

    public List<Map<String, Object>> selectInvoiceIndirectQueryPendingVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectInvoiceIndirectQueryPendingVal(projectbillsDto);
    }

    public int selectWarningReminderCount(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectWarningReminderCount(projectbillsDto);
    }

    public List<Map<String, Object>> selectWarningReminderCondition(Map<String, Object> map) {
        return baseMapper.selectWarningReminderCondition(map);
    }

    public int selectReminderTotal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectReminderTotal(projectbillsDto);
    }

    public List<Map<String, Object>> selectReminderCurrent(Map<String, Object> map) {
        return baseMapper.selectReminderCurrent(map);
    }

    public List<Map<String, Object>> selectPayCrQueryPendingVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectPayCrQueryPendingVal(projectbillsDto);
    }
    public List<Map<String, Object>> selectBudgetsQueryPendingVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectBudgetsQueryPendingVal(projectbillsDto);
    }

    public List<Map<String, Object>> selectInvoiceSharesVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectInvoiceSharesVal(projectbillsDto);
    }

    public double selectSumPurchaseInvCr(InvoiceBillsDto invoiceBillsDto, SysUserDto sysUserDto) {
        return baseMapper.selectSumPurchaseInvCr(invoiceBillsDto, sysUserDto);
    }

    public double selectSumPurchaseIndirectInvCr(InvoiceBillsDto invoiceBillsDto, SysUserDto sysUserDto) {
        return baseMapper.selectSumPurchaseIndirectInvCr(invoiceBillsDto, sysUserDto);
    }

    public List<Map<String, Object>> selectPayCrSharesQueryPendingVal(ProjectbillsDto projectbillsDto) {
        return baseMapper.selectPayCrSharesQueryPendingVal(projectbillsDto);
    }
}
