package io.platform.purchase.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("purchase_bills_purids")
public class PurchaseBillsPurids extends Model<PurchaseBillsPurids>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value="id", type= IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 单据编号（关联ProjectBills表）       db_column: bill_no
     */
    @TableField("bill_no")
    private String billNo;

    /**
     * 来源行号       db_column: line_no
     */
    @TableField("line_no")
    private Integer lineNo;

    /**
     * 业务活动号ID       db_column: act_id
     */
    @TableField("act_id")
    private Integer actId;

    /**
     * 备注       db_column: remake
     */
    @TableField("remake")
    private String remake;

    /**
     * 推荐框架供应商ID       db_column: purchase_id
     */
    @TableField("purchase_id")
    private Integer purchaseId;
    /**
     * 供应商名称
     */
    @TableField("name")
    private String name;
    /**
     * 本次预算金额       db_column: amt
     */
    @TableField("amt")
    private Double amt;

    /**
     * 累计金额       db_column: total_amt
     */
    @TableField("total_amt")
    private Double totalAmt;
//columns END

}
