
package io.platform.purchase.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.engineering.biz.entity.Bpurchases;
import io.platform.engineering.dto.BpurchasesDto;
import io.platform.project.dto.ProjectBillsSubsDto;
import io.platform.purchase.biz.mapper.PurchaseBillsItemsMapper;
import io.platform.purchase.biz.entity.PurchaseBillsItems;

import io.platform.purchase.dto.PurchaseBillsDto;
import io.platform.purchase.dto.PurchaseBillsItemsDto;
import io.platform.sys.dto.SysUserDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("purchaseBillsItemsService")
public class PurchaseBillsItemsService extends ServiceImpl<PurchaseBillsItemsMapper,PurchaseBillsItems>{


    public List<PurchaseBillsItems> selectItemPage(Map<String, Object> xmap) {
        return baseMapper.selectItemPage(xmap);
    }

    public List<PurchaseBillsItems> selectArrivalSum(List<PurchaseBillsItemsDto> list) {
        return baseMapper.selectArrivalSum(list);
    }

    public List<PurchaseBillsItems> selectProjectResult(String sub) {
        return baseMapper.selectProjectResult(sub);
    }

    public List<Map<String, Object>> selectListPage(Map<String, Object> xmap) {
        return baseMapper.selectListPage(xmap);
    }

    public List<BpurchasesDto> selectResultPurchase(Map<String, Object> map) {
        return baseMapper.selectResultPurchase(map);
    }

    public int selectListPageCount(Map<String,Object> xmap) {
        return baseMapper.selectListPageCount(xmap);
    }

    public int selectResultPurchaseNumber(Map<String, Object> map) {
        return baseMapper.selectResultPurchaseNumber(map);
    }

    public double selectArrivalVal(PurchaseBillsItems pb) {
        return baseMapper.selectArrivalVal(pb);
    }
}
