package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("sys_captcha")
public class SysCaptcha extends Model<SysCaptcha>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * uuid       db_column: uuid
     */
    @TableId(value="uuid", type= IdType.INPUT)
    private String uuid;


    @Override
    protected Serializable pkVal() {
        return this.uuid;
    }

    /**
     * 验证码       db_column: code
     */
    @TableField("code")
    private String code;

    /**
     * 过期时间       db_column: expire_time
     */
    @TableField("expire_time")
    private java.util.Date expireTime;
//columns END

}
