package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@TableName("sys_role")
public class SysRole extends Model<SysRole>  implements Serializable{
private static final long serialVersionUID = 5454155825314635346L;


    /**
     * roleId       db_column: role_id
     */
    @TableId(value="role_id", type= IdType.AUTO)
    private Long roleId;


    @Override
    protected Serializable pkVal() {
        return this.roleId;
    }

    /**
     * 角色名称       db_column: role_name
     */
    @TableField("role_name")
    private String roleName;

    /**
     * 备注       db_column: remark
     */
    @TableField("remark")
    private String remark;

    /**
     * 创建者ID       db_column: create_user_id
     */
    @TableField("create_user_id")
    private Long createUserId;

    /**
     * 创建时间       db_column: create_time
     */
    @TableField("create_time")
    private java.util.Date createTime;

    @TableField(exist=false)
    private List<Long> menuIdList;
    /**
     * 数据权限(0录入员，1项目经理，2分公司项目总，3集团财务)       db_column: data_authority
     */
    @TableField("data_authority")
    private Integer dataAuthority;
    /**
     * 承包单位id       db_column: branch_id
     */
    @TableField("branch_id")
    private Integer branchId;
//columns END

}
