package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("sys_user_role")
public class SysUserRole extends Model<SysUserRole> implements Serializable {
    private static final long serialVersionUID = 5454155825314635349L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 用户ID       db_column: user_id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 角色ID       db_column: role_id
     */
    @TableField("role_id")
    private Long roleId;
//columns END

}
