package io.platform.tasklistsHistory.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("tasklists_history")
public class TasklistsHistory extends Model<TasklistsHistory>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value="id", type= IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 业务活动号ID       db_column: act_id
     */
    @TableField("act_id")
    private Integer actId;

    /**
     * 操作类型 1：修改 2删除       db_column: operate_type
     */
    @TableField("operate_type")
    private Integer operateType;

    /**
     * 数据主键       db_column: data_id
     */
    @TableField("data_id")
    private String dataId;

    /**
     * 操作人       db_column: operate_user
     */
    @TableField("operate_user")
    private String operateUser;

    /**
     * 修改时间       db_column: operate_date
     */
    @TableField("operate_date")
    private java.util.Date operateDate;
//columns END

}
