package io.platform.budget.dto;

import lombok.Data;

@Data
public class BudgetAdjustBillsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 来源行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 预算费用项目id       db_column: budget_id
     */
    private Integer budgetId;
    /**
     * 原始预算金额       db_column: budget_org_amt
     */
    private Double budgetOrgAmt;
    /**
     * 调整后预算金额       db_column: budget_amt
     */
    private Double budgetAmt;
    /**
     * 预算附件       db_column: attach_id
     */
    private String attachId;
    /**
     * 是否新加预算       db_column: is_add
     */
    private Integer isAdd;
//columns END

}
