package io.platform.budget.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

@Data
public class ProjectBillsAdjustsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 业务活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 来源活动号       db_column: src_act_id
     */
    private Integer srcActId;
    /**
     * 来源编号       db_column: src_bill_no
     */
    private String srcBillNo;
    /**
     * 来源行号       db_column: src_line_no
     */
    private Integer srcLineNo;
    /**
     * 原始活动号       db_column: org_act_id
     */
    private Integer orgActId;
    /**
     * 原始活动号       db_column: org_bill_no
     */
    private String orgBillNo;
    /**
     * 原始行号       db_column: org_line_no
     */
    private Integer orgLineNo;
    /**
     * 单据状态（1-新建2处理中6完成）       db_column: bill_status
     */
    private Integer billStatus;
    /**
     * 调整后预算金额       db_column: budget_amt_adjusts
     */
    private Double budgetAmtAdjusts;
    /**
     * 调整后毛利额       db_column: budget_profit_adjusts
     */
    private Double budgetProfitAdjusts;
    /**
     * 调整后毛利率       db_column: budget_profit_rate_adjusts
     */
    private Double budgetProfitRateAdjusts;
    /**
     * 制单人id       db_column: op_user_id
     */
    private Integer opUserId;
    /**
     * 制单人名称       db_column: op_user_name
     */
    private String opUserName;
    /**
     * 制单日期       db_column: create_date
     */
    private java.util.Date createDate;
    /**
     * 业务日期       db_column: bill_date
     */
    private java.util.Date billDate;
    /**
     * 提交日期       db_column: post_date
     */
    private java.util.Date postDate;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 承包单位       db_column: branch_id
     */
    private Integer branchId;
    /**
     * 上传文件       db_column: attach_id
     */
    private String attachId;
//columns END

}
