package io.platform.budget.dto;

import lombok.Data;

@Data
public class ProjectBillsBudgetsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 预算费用项目id       db_column: budget_id
     */
    private Integer budgetId;
    /**
     * 预算费用项目id       db_column: budget_id
     */
    private String budgetName;
    /**
     * 原始预算金额       db_column: budget_org_amt
     */
    private Double budgetOrgAmt;
    /**
     * 预算金额       db_column: budget_amt
     */
    private Double budgetAmt;
    /**
     * 预算附件       db_column: attach_id
     */
    private Integer attachId;
    /**
     * 累计占用预算金额       db_column: budget_use_amt
     */
    private double budgetUseAmt;
    /**
     * 剩余预算金额       db_column: budget_blc_amt
     */
    private double budgetBlcAmt;
    /**
     * 工程审定金额       db_column: sub_amt_blc
     */
    private double approvedAmount;
    /**
     * 承包单位       db_column: branch_id
     */
    private Integer branchId;
//columns END

    /**
     * 工程名称
     */
    private String projectSubName;

    /**
     *nc工程编号
     *
     */
    private String ncProjectNo;


}
