package io.platform.contract.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

@Data
public class ProjectBillsStlPlansDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 单据行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 业务活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 来源活动号       db_column: src_act_id
     */
    private Integer srcActId;
    /**
     * 单据编号       db_column: src_bill_no
     */
    private String srcBillNo;
    /**
     * 来源行号       db_column: src_line_no
     */
    private Integer srcLineNo;
    /**
     * 原始活动Id       db_column: org_act_id
     */
    private Integer orgActId;
    /**
     * 原始编号       db_column: org_bill_no
     */
    private String orgBillNo;
    /**
     * 原始行号       db_column: org_line_no
     */
    private Integer orgLineNo;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 收款比例       db_column: pay_rate
     */
    private Double payRate;
    /**
     * 款项性质       db_column: nature
     */
    private String nature;
    /**
     * 收款金额       db_column: amt
     */
    private Double amt;
    /**
     * 累计收款金额       db_column: stl_amt
     */
    private Double stlAmt;
    /**
     * 计划收款日期       db_column: pay_date
     */
    private java.util.Date payDate;
//columns END

}
