
package io.platform.fileManagement.service.client.api;

import com.baomidou.mybatisplus.plugins.Page;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.fileManagement.dto.DataFileManagementDto;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface DataFileManagementServiceClient{
        /**
         * 根据ID 查询单个对象
         */
        DataFileManagementDto queryObject(Long id);
        /**
         * 根据参数查询 列表  无分页
         */
        List<DataFileManagementDto>queryList(Map<String, Object> map);
        /**
         * 根据参数查询 对应参数的 集合大小
         */
        int queryTotal(Map<String, Object> map);
        /**
         * 保存对象
         */
        ExecuteResult<String> save(DataFileManagementDto dataFileManagementDto);
        /**
         * 更新对象
         */
        ExecuteResult<String> update(DataFileManagementDto dataFileManagementDto);
        /**
         * 根据主键 删除对象
         */
        ExecuteResult<String> delete(Long id);
        /**
         * 根据主键集合 批量删除
         */
        ExecuteResult<String> deleteBatch(List<Long> idList);
        /**
         * 根据分页参数 获取 分页集合
         */
        Page<DataFileManagementDto>getPage(Page<DataFileManagementDto> page, DataFileManagementDto dataFileManagementDto);
        /**
         * 根据参数查询 列表  无分页
         */
        List<HashMap<String,String>>  getFileList(Integer id);
        /**
         * 根据参数查询 列表  无分页
         */
        String  getFileList2(Integer id);
}
