package io.platform.moneyManagement.dto;

import lombok.Data;

@Data
public class InvoiceBillsItemsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 单据行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 业务活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 来源活动       db_column: src_act_id
     */
    private Integer srcActId;
    /**
     * 来源单据号       db_column: src_bill_no
     */
    private String srcBillNo;
    /**
     * 来源行号       db_column: src_line_no
     */
    private Integer srcLineNo;
    /**
     * 原始活动id       db_column: org_act_id
     */
    private Integer orgActId;
    /**
     * 原始编号       db_column: org_bill_no
     */
    private String orgBillNo;
    /**
     * 原始行号       db_column: org_line_no
     */
    private Integer orgLineNo;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 销货单位或开票单位       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 承包单位id       db_column: branch_id
     */
    private Integer branchId;
    /**
     * 销货单位或开票单位       db_column: invoice_corp
     */
    private String invoiceCorp;
    /**
     * 发票号       db_column: invoice_no
     */
    private String invoiceNo;
    /**
     * 开票日期       db_column: invoice_date
     */
    private java.util.Date invoiceDate;
    /**
     * 开票金额       db_column: invoice_amt
     */
    private Double invoiceAmt;
    /**
     * 税率（%）       db_column: tax_rate
     */
    private Double taxRate;
    /**
     * 关联附件       db_column: attach
     */
    private String attach;
//columns END

}
