package io.platform.moneyManagement.dto;

import lombok.Data;

@Data
public class InvoiceBillsPlansDto  implements java.io.Serializable{
private static final long serialVersionUID = 5454155825314635342L;


/**
 * id       db_column: id
 */
private Integer id;
/**
 * 单据编号       db_column: bill_no
 */
private String billNo;
/**
 * 单据行号       db_column: line_no
 */
private Integer lineNo;
/**
 * 业务活动号ID       db_column: act_id
 */
private Integer actId;
/**
 * 来源活动ID       db_column: src_act_id
 */
private Integer srcActId;
/**
 * 单据编号       db_column: src_bill_no
 */
private String srcBillNo;
/**
 * 来源行号       db_column: src_line_no
 */
private Integer srcLinoNo;
/**
 * 原始活动ID       db_column: org_act_id
 */
private Integer orgActId;
/**
 * 原始编号       db_column: org_bill_no
 */
private String orgBillNo;
/**
 * 原始行号       db_column: org_line_no
 */
private Integer orgLinoNo;
/**
 * 备注       db_column: remark
 */
private String remark;
/**
 * 计划编号(根据PurchaseBills表选择)       db_column: purchase_no
 */
private String purchaseNo;
/**
 * 累计开票数量       db_column: inv_total_qty
 */
private Integer invTotalQty;
/**
 * 累计开票金额       db_column: inv_iotal_amt
 */
private Double invIotalAmt;
/**
 * 累计到货数量       db_column: receive_total_qty
 */
private Double receiveTotalQty;
/**
 * 采购单价       db_column: price
 */
private Double price;
/**
 * 本次开票数量，手工录入       db_column: qty
 */
private Integer qty;
/**
 * 金额=Qty*Price       db_column: amt
 */
private Double amt;
/**
 * 关联附件       db_column: attach
 */
private String attach;
//columns END

}
