package io.platform.moneyManagement.dto;

import lombok.Data;

@Data
public class PayCrBillsSharesDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 供应商id       db_column: purcaser_id
     */
    private Integer purcaserId;
    /**
     * 预算费用项目id       db_column: budget_id
     */
    private Integer budgetId;
    /**
     * 累计开票金额       db_column: inv_total_amt
     */
    private Double invTotalAmt;
    /**
     * 本次分摊金额（手工录入）       db_column: share_amt
     */
    private Double shareAmt;
    /**
     * 累计付款金额       db_column: pay_total_amt
     */
    private Double payTotalAmt;
    /**
     * 付款发票维护单据编号（手工录入）       db_column: inv_bill_no
     */
    private String invBillNo;
    /**
     * 预算附件       db_column: attach_id
     */
    private Integer attachId;
//columns END

}
