package io.platform.projectSettlement.dto;

import lombok.Data;

@Data
public class ProjectStlBillsItemsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 单据行号       db_column: line_no
     */
    private Integer lineNo;
    /**
     * 活动号       db_column: act_id
     */
    private Integer actId;
    /**
     * 来源活动号       db_column: src_act_id
     */
    private Integer srcActId;
    /**
     * 来源单据编号       db_column: src_bill_no
     */
    private String srcBillNo;
    /**
     * 来源行号       db_column: src_line_no
     */
    private Integer srcLineNo;
    /**
     * 原始活动号       db_column: org_act_id
     */
    private Integer orgActId;
    /**
     * 原始单据编号       db_column: org_bill_no
     */
    private String orgBillNo;
    /**
     * 原始行号       db_column: org_line_no
     */
    private Integer orgLineNo;
    /**
     * 备注       db_column: remarks
     */
    private String remarks;
    /**
     * 子工程编号       db_column: project_sub_no
     */
    private String projectSubNo;
    /**
     * 采购计划编号       db_column: purchase_no
     */
    private String purchaseNo;
    /**
     * 供应商       db_column: purchase_id
     */
    private Integer purchaseId;
    /**
     * 合同金额       db_column: contract_amt
     */
    private Double contractAmt;
    /**
     * 合同审定金额       db_column: contract_audit_amt
     */
    private Double contractAuditAmt;
    /**
     * 税率       db_column: tax_rate
     */
    private Double taxRate;
    /**
     * 分包结算日期       db_column: stl_date
     */
    private java.util.Date stlDate;
    /**
     * 分包结算报告附件       db_column: attach
     */
    private String attach;
//columns END

}
