package io.platform.purchase.dto;

import lombok.Data;

@Data
public class PurchaseBillsProjsDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    private Integer id;
    /**
     * 单据编号       db_column: bill_no
     */
    private String billNo;
    /**
     * 行号       db_column: lino_no
     */
    private Integer linoNo;
    /**
     * 业务活动号ID       db_column: act_id
     */
    private Integer actId;
    /**
     * 备注       db_column: remake
     */
    private String remake;
    /**
     * 子工程编号       db_column: project_Sub_No
     */
    private String projectSubNo;
    /**
     * 采购计划类型       db_column: purchase_Src_id
     */
    private Integer purchaseSrcId;
    /**
     * 工程采购计划编号       db_column: purchase_Plan_No
     */
    private String purchasePlanNo;
    /**
     * NC请购单号       db_column: purchase_NC_No
     */
    private String purchaseNcno;
    /**
     * 分包范围       db_column: purchase_Extent
     */
    private String purchaseExtent;
    /**
     * 分包类型ID（基础资料PurchaseSubType）       db_column: purchase_SubType_id
     */
    private Integer purchaseSubTypeId;
    /**
     * 地段标号       db_column: lot_Label
     */
    private String lotLabel;
    /**
     * 工期要求（保留一位小数。单位：天）       db_column: demand_Days
     */
    private Double demandDays;
    /**
     * 概算金额       db_column: amt
     */
    private Double amt;
    /**
     * 折扣率（%）       db_column: discount_Rate
     */
    private Double discountRate;
    /**
     * 推荐框架供应商ID（基础资料B_Branchs）       db_column: branch_id
     */
    private Integer branchId;
    /**
     * 累计匹配金额       db_column: matche_amt
     */
    private Double matcheAmt;
    /**
     * 是否客户指定       db_column: if_CorpAssign
     */
    private String ifCorpAssign;
    /**
     * 单一来源采购详细说明       db_column: corp_AssignDesc
     */
    private String corpAssignDesc;
    /**
     * 采购方式ID（基础资料B_PurchaseMode）       db_column: purchase_Mode_id
     */
    private Integer purchaseModeId;
    /**
     * 采购方式选择理由       db_column: purchase_Mode_desc
     */
    private String purchaseModeDesc;
    /**
     * 关联附件       db_column: attach_id
     */
    private String attachId;
    /**
     * 中标编号       db_column: purchase_Bid_No
     */
    private String purchaseBidNo;
    /**
     * 中标日期       db_column: bid_Date
     */
    private java.util.Date bidDate;
    /**
     * 中标金额       db_column: bid_Amt
     */
    private Double bidAmt;
    /**
     * 中标理由       db_column: bid_Desc
     */
    private String bidDesc;
    /**
     * 关联附件       db_column: bid_Attach_id
     */
    private String bidAttachId;
    /**
     * 中标供应商、也是应用框架供应商       db_column: purchase_id
     */
    private Integer purchaseId;
    /**
     * 状态 0未招标，1已招标       db_column: purchase_id
     */
    private Integer status;
    /**
     * T已创建分包 F未创建分包       db_column: is_used
     */
    private String isUsed;
    /**
     *  供应商名称
     */
    private String purchaseName;
//columns END

}
