package io.platform.sys.dto;

import com.baomidou.mybatisplus.annotations.TableField;
import lombok.Data;

import java.util.List;

@Data
public class SysUserDto implements java.io.Serializable {
    private static final long serialVersionUID = 5454155825314635448L;


    /**
     * userId       db_column: user_id
     */
    private Long userId;
    /**
     * 用户名       db_column: username
     */
    private String username;
    /**
     * 真实名       db_column: actualname
     */
    private String actualname;
    /**
     * 密码       db_column: password
     */
    private String password;
    /**
     * 盐       db_column: salt
     */
    private String salt;
    /**
     * 邮箱       db_column: email
     */
    private String email;
    /**
     * 手机号       db_column: mobile
     */
    private String mobile;
    /**
     * 部门id       db_column: dept_id
     */
    private Integer deptId;
    /**
     * 状态  0：禁用   1：正常       db_column: status
     */
    private Integer status;
    /**
     * 创建者ID       db_column: create_user_id
     */
    private Long createUserId;
    /**
     * 创建时间       db_column: create_time
     */
    private java.util.Date createTime;
    /**
     * 承包单位       db_column: contractor_id
     */
    private Integer contractorId;
    //columns END
    private Integer roleIdList;
    /**
     * 登陆承包单位       db_column: login_contractor_id
     */
    private Integer loginContractorId;
    /**
     * 创建用户人员公司Id       db_column: contractor_id
     */
    private Integer createContractorId;
    /**
     * 是否管理员       db_column: is_admin
     */
    private String isAdmin;
}
