package io.platform.approvalConfiguration.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("audit_paths_acts_mould")
public class AuditPathsActsMould extends Model<AuditPathsActsMould> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 活动号       db_column: act_id
     */
    @TableField("act_id")
    private Integer actId;

    /**
     * 审核条件       db_column: review_conditions
     */
    @TableField("review_conditions")
    private String reviewConditions;

    /**
     * 是否是ACT模板（T为是 F为path模板）       db_column: template_type
     */
    @TableField("template_type")
    private String templateType;

    /**
     * 审核路径名       db_column: path_name
     */
    @TableField("path_name")
    private String pathName;
//columns END

}
