
package io.platform.budget.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.budget.biz.mapper.ProjectBillsBudgetsMapper;
import io.platform.budget.biz.entity.ProjectBillsBudgets;

import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectbillsDto;
import org.springframework.stereotype.Service;


@Service("projectBillsBudgetsService")
public class ProjectBillsBudgetsService extends ServiceImpl<ProjectBillsBudgetsMapper, ProjectBillsBudgets> {

    public ProjectBS selectProBS(Integer id) {
        return baseMapper.selectProBS(id);
    }

    public int deleteLowBudgets(ProjectBS projectBS) {
        return baseMapper.deleteLowBudgets(projectBS);
    }

    public double selectApprovedAmountSum(ProjectBillsBudgets projectBillsBudgets) {
        return baseMapper.selectApprovedAmountSum(projectBillsBudgets);
    }
}
