package io.platform.engineering.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.engineering.biz.entity.Bpurchases;
import io.platform.engineering.dto.BpurchasesDto;
import io.platform.sys.dto.SysUserDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface BpurchasesMapper extends BaseMapper<Bpurchases> {

    List<Bpurchases> down(@Param("dto") SysUserDto sysUserDto);

    int queryDirectPayTotal(@Param("hashMap") Map<String, Object> map);

    List<Bpurchases> queryDirectPayRecords(@Param("hashMap") Map<String, Object> map);

    List<BpurchasesDto> selectProjectPriceBudget(@Param("subNo") String subNo, @Param("loginContractorId") Integer loginContractorId);
}
