
package io.platform.engineering.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.engineering.biz.mapper.BprojectNodesMapper;
import io.platform.engineering.biz.entity.BprojectNodes;

import io.platform.engineering.dto.BprojectNodesDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("bprojectNodesService")
public class BprojectNodesService extends ServiceImpl<BprojectNodesMapper, BprojectNodes> {

    public int selectCountNum(BprojectNodesDto bprojectNodesDto) {
        return baseMapper.selectCountNum(bprojectNodesDto);
    }

    public List<BprojectNodesDto> selectLists(Map<String, Object> map) {
        return baseMapper.selectLists(map);
    }

}
