package io.platform.fileManagement.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("data_file_operating")
public class DataFileOperating extends Model<DataFileOperating>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value="id", type= IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 文件类型      db_column: file_type
     */
    @TableField("file_type")
    private String fileType;

    /**
     * 文件id       db_column: file_id
     */
    @TableField("file_id")
    private Integer fileId;

    /**
     * 操作人id       db_column: user_id
     */
    @TableField("user_id")
    private Integer userId;

    private String userName;

    private  String fileName;
    /**
     * 操作       db_column: operating
     */
    @TableField("operating")
    private String operating;

    /**
     * 操作时间       db_column: update_time
     */
    @TableField("update_time")
    private java.util.Date updateTime;
//columns END

}
