package io.platform.fileManagement.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import lombok.Data;

@Data
@TableName("data_file_storage")
public class DataFileStorage extends Model<DataFileStorage>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value="id", type= IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 文件名称       db_column: file_name
     */
    @TableField("file_name")
    private String fileName;

    /**
     * 文件编号       db_column: file_number
     */
    @TableField("file_number")
    private String fileNumber;

    /**
     * 文件类型       db_column: file_type
     */
    @TableField("file_type")
    private String fileType;

    /**
     * 文件路径       db_column: file_path
     */
    @TableField("file_path")
    private String filePath;
    @TableField("file_date")
    private java.util.Date fileDate;
    /**
     * 删除状态       db_column: del_flag
     */
    @TableField("del_flag")
    private Integer delFlag;
//columns END
    /**
     * 上传人
     */
    @TableField("upload_user")
    private Integer uploadUser;
}
