package io.platform.fileManagement.biz.mapper;

import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;
import io.platform.base.common.BaseMapper;
import io.platform.fileManagement.biz.entity.DataFileOperating;
import io.platform.fileManagement.dto.DataFileOperatingDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface DataFileOperatingMapper extends BaseMapper<DataFileOperating>{
    List<DataFileOperatingDto> selectQueryPage(@Param("page")Page<DataFileOperating> page,@Param("dataFileOperatingDto") DataFileOperatingDto dataFileOperatingDto);
    Integer selectQueryPageCount(@Param("page")Page<DataFileOperating> page,@Param("dataFileOperatingDto") DataFileOperatingDto dataFileOperatingDto);


    DataFileOperatingDto selectByFileId(@Param("id")Long id);
}
