
package io.platform.fileManagement.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;


import io.platform.fileManagement.biz.entity.DataFileStorage;
import io.platform.fileManagement.biz.mapper.DataFileStorageMapper;
import io.platform.fileManagement.dto.DataFileStorageDto;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Service("dataFileStorageService")
public class DataFileStorageService extends ServiceImpl<DataFileStorageMapper, DataFileStorage>{
    public List<DataFileStorageDto> queryFileList(Page<DataFileStorage> pageDto, DataFileStorageDto dataFileStorageDto) {
        return baseMapper.queryFileList(pageDto,dataFileStorageDto);
    }
    public Integer queryFileListCount(Page<DataFileStorage> pageDto, DataFileStorageDto dataFileStorageDto) {
        return baseMapper.queryFileListCount(pageDto,dataFileStorageDto);
    }
}
