package io.platform.moneyManagement.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.moneyManagement.biz.entity.PayCrBills;
import io.platform.moneyManagement.dto.PayCrBillsDto;
import io.platform.project.biz.entity.SubContractBills;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface PayCrBillsMapper extends BaseMapper<PayCrBills> {

    int selectPayCrTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectPayCrRecords(@Param("hashMap") Map<String, Object> map);

    SubContractBills selectSubContract(@Param("payCr") PayCrBills payCrBills);

    List<Map<String, Object>> selectTemporaryProject(@Param("payCr") PayCrBills payCrBills);

    int selectPayIndirectCrTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectPayCrIndirectRecords(@Param("hashMap") Map<String, Object> map);

    Map<String, Object> selectFundpay(@Param("payCr") PayCrBills payCrBills);

    /* int refute(@Param("payCrBills")PayCrBills payCrBills);*/
}
