package io.platform.moneyManagement.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.moneyManagement.biz.entity.PayDrBillsItems;
import io.platform.sys.dto.SysUserDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface PayDrBillsItemsMapper extends BaseMapper<PayDrBillsItems> {

    List<Map<String, Object>> selectPayDrData(@Param("user") SysUserDto sysUserDto);

    List<Map<String, Object>> selectPayDrDataCount(@Param("user") SysUserDto sysUserDto);

    List<Map<String, Object>> selectPayDrTopData(@Param("initial") int initial, @Param("end") int end,@Param("type") Integer type,@Param("user") SysUserDto sysUserDto);

    List<Map<String, Object>> selectPayDyAllAmt();

    Map<String,Object> selectSubAmtCrAndDr(@Param("user") SysUserDto sysUserDto);

    List<Map<String, Object>> selectBranchSubProjectAmt(@Param("user") SysUserDto sysUserDto);

    List<Map<String,Long>> selectAllDrInterestRate(@Param("user") SysUserDto sysUserDto);

    Map<String, Object> selectInvoiceBillsPrice(@Param("id") Integer id);

    Map<String, Object> selectSubProjectAmt(@Param("id") Integer id);
}
