package io.platform.moneyManagement.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.moneyManagement.biz.entity.PayDrBills;
import io.platform.moneyManagement.dto.PayDrBillsDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface PayDrBillsMapper extends BaseMapper<PayDrBills> {

    int editAffirmStatus(@Param("payDr") PayDrBillsDto payDrBillsDto);

    List<Map<String, Object>> billsDrPage(@Param("hashMap") Map<String, Object> map);

    int editProSubStatus(@Param("payDr") PayDrBills payDrBillsDto);

    int selectProStlTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectProStlRecords(@Param("hashMap") Map<String, Object> map);

    int billsDrPageTotal(@Param("hashMap") Map<String, Object> map);

    Map<String, Object> selectPayDrFundpay(@Param("id") Integer id);
}
