
package io.platform.moneyManagement.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import io.platform.moneyManagement.biz.entity.PayCrBills;
import io.platform.moneyManagement.biz.mapper.PayCrBillsMapper;
import io.platform.moneyManagement.dto.PayCrBillsDto;
import io.platform.project.biz.entity.SubContractBills;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("payCrBillsService")
public class PayCrBillsService extends ServiceImpl<PayCrBillsMapper, PayCrBills> {

    public int selectPayCrTotal(Map<String, Object> map) {
        return baseMapper.selectPayCrTotal(map);
    }

    public List<Map<String, Object>> selectPayCrRecords(Map<String, Object> map) {
        return baseMapper.selectPayCrRecords(map);
    }

    public SubContractBills selectSubContract(PayCrBills payCrBills) {
        return baseMapper.selectSubContract(payCrBills);
    }

    public List<Map<String, Object>> selectTemporaryProject(PayCrBills payCrBills) {
        return baseMapper.selectTemporaryProject(payCrBills);
    }

    public int selectPayIndirectCrTotal(Map<String, Object> map) {
        return baseMapper.selectPayIndirectCrTotal(map);
    }

    public List<Map<String, Object>> selectPayCrIndirectRecords(Map<String, Object> map) {
        return baseMapper.selectPayCrIndirectRecords(map);
    }

    public Map<String, Object> selectFundpay(PayCrBills payCrBills) {
        return baseMapper.selectFundpay(payCrBills);
    }

    /**
     * 驳回请求
     * @param payCrBills
     * @return public int refute(PayCrBills payCrBills) {
    return baseMapper.refute(payCrBills);
    }*/
}
