
package io.platform.moneyManagement.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;


import io.platform.moneyManagement.biz.entity.PayDrBillsItems;
import io.platform.moneyManagement.biz.mapper.PayDrBillsItemsMapper;
import io.platform.sys.dto.SysUserDto;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@Service("payDrBillsItemsService")
public class PayDrBillsItemsService extends ServiceImpl<PayDrBillsItemsMapper, PayDrBillsItems> {

    public List<Map<String, Object>> selectPayDrData(SysUserDto sysUserDto) {
        return baseMapper.selectPayDrData(sysUserDto);
    }

    public List<Map<String, Object>> selectPayDrDataCount(SysUserDto sysUserDto) {
        return baseMapper.selectPayDrDataCount(sysUserDto);
    }

    public List<Map<String, Object>> selectPayDrTopData(int initial, int end, Integer typeId, SysUserDto sysUserDto) {
        return baseMapper.selectPayDrTopData(initial, end, typeId, sysUserDto);
    }

    public List<Map<String, Object>> selectPayDyAllAmt() {
        return baseMapper.selectPayDyAllAmt();
    }

    public Map<String, Object> selectSubAmtCrAndDr(SysUserDto sysUserDto) {
        return baseMapper.selectSubAmtCrAndDr(sysUserDto);
    }

    public List<Map<String, Object>> selectBranchSubProjectAmt(SysUserDto sysUserDto) {
        return baseMapper.selectBranchSubProjectAmt(sysUserDto);
    }

    public List<Long> selectAllDrInterestRate(SysUserDto sysUserDto) {
        List<Map<String,Long>> list=  baseMapper.selectAllDrInterestRate(sysUserDto);
        List<Long>  a=  new ArrayList<>();
        a.add(list.get(0).get("aa"));
        a.add(list.get(0).get("bb"));
        a.add(list.get(0).get("cc"));
        a.add(list.get(0).get("dd"));
        return  a;
    }

    public Map<String, Object> selectInvoiceBillsPrice(Integer id) {
        return baseMapper.selectInvoiceBillsPrice(id);
    }

    public Map<String, Object> selectSubProjectAmt(Integer id) {
        return baseMapper.selectSubProjectAmt(id);
    }
}
