
package io.platform.moneyManagement.biz.service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;


import io.platform.moneyManagement.biz.entity.PayDrBills;
import io.platform.moneyManagement.biz.mapper.PayDrBillsMapper;
import io.platform.moneyManagement.dto.PayDrBillsDto;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("payDrBillsService")
public class PayDrBillsService extends ServiceImpl<PayDrBillsMapper, PayDrBills> {

    public int editAffirmStatus(PayDrBillsDto payDrBillsDto) {
        return baseMapper.editAffirmStatus(payDrBillsDto);
    }

    public List<Map<String, Object>> billsDrPage(Map<String, Object> map) {
        return baseMapper.billsDrPage(map);
    }

    public int editProSubStatus(PayDrBills payDrBillsDto) {
        return baseMapper.editProSubStatus(payDrBillsDto);
    }

    public int selectProStlTotal(Map<String, Object> map) {
        return baseMapper.selectProStlTotal(map);
    }

    public List<Map<String, Object>> selectProStlRecords(Map<String, Object> map) {
        return baseMapper.selectProStlRecords(map);
    }

    public int billsDrPageTotal(Map<String, Object> map) {
        return baseMapper.billsDrPageTotal(map);
    }

    public Map<String, Object> selectPayDrFundpay(Integer id) {
        return baseMapper.selectPayDrFundpay(id);
    }
}
