package io.platform.project.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("Dictionaries")
public class Dictionaries extends Model<Dictionaries> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 字典名称       db_column: dictionaries_name
     */
    @TableField("dictionaries_name")
    private String dictionariesName;

    /**
     * 字典值(varchar)       db_column: dictionaries_value
     */
    @TableField("dictionaries_value")
    private String dictionariesValue;

    /**
     * 字典值(int)       db_column: dictionaries_number
     */
    @TableField("dictionaries_number")
    private Integer dictionariesNumber;

    /**
     * 字段说明       db_column: remarks
     */
    @TableField("remarks")
    private String remarks;
//columns END

}
