package io.platform.project.biz.mapper;

import io.platform.base.common.BaseMapper;
import io.platform.project.biz.entity.ProcessBills;
import io.platform.project.biz.entity.ProjectBillsSteps;
import io.platform.project.biz.entity.Projectbills;
import io.platform.project.dto.ProcessBillsDto;
import io.platform.project.dto.ProjectBS;
import io.platform.project.dto.ProjectBillsSubsDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface ProcessBillsMapper extends BaseMapper<ProcessBills> {

    ProjectBS selectProjectSub(@Param("projectSub") ProjectBillsSubsDto projectBillsSubsDto);

    ProjectBS selectDataTemporary(@Param("projectSub") ProjectBillsSubsDto projectBillsSubsDto);

    List<ProjectBillsSteps> selectProStepsDate(@Param("project") ProjectBS projectBS);

    int selectProcessTotal(@Param("hashMap") Map<String, Object> map);

    List<Map<String, Object>> selectProcessRecords(@Param("hashMap") Map<String, Object> map);

    Map<String, Object> selectProjectProcessData(@Param("id") Integer id);
}
