package io.platform.projectSettlement.biz.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;

import lombok.Data;

@Data
@TableName("project_annex")
public class ProjectAnnex extends Model<ProjectAnnex> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 来源活动号       db_column: src_act_id
     */
    @TableField("src_act_id")
    private Integer srcActId;

    /**
     * 来源行号       db_column: src_line_no
     */
    @TableField("src_line_no")
    private Integer srcLineNo;

    /**
     * 项目id       db_column: project_id
     */
    @TableField("project_id")
    private Integer projectId;

    /**
     * 附件名称       db_column: file_name
     */
    @TableField("file_name")
    private String fileName;

    /**
     * 附件地址       db_column: file_address
     */
    @TableField("file_address")
    private String fileAddress;

    /**
     * 承包单位id       db_column: bran_id
     */
    @TableField("bran_id")
    private Integer branId;
//columns END

}
