package io.platform.purchase.biz.mapper;

import com.baomidou.mybatisplus.plugins.Page;
import io.platform.base.common.BaseMapper;
import io.platform.engineering.biz.entity.Bpurchases;
import io.platform.engineering.dto.BpurchasesDto;
import io.platform.project.dto.ProjectBillsSubsDto;
import io.platform.purchase.biz.entity.PurchaseBillsItems;
import io.platform.purchase.dto.PurchaseBillsDto;
import io.platform.purchase.dto.PurchaseBillsItemsDto;
import io.platform.sys.dto.SysUserDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/9/6.
 */
@Mapper
public interface PurchaseBillsItemsMapper extends BaseMapper<PurchaseBillsItems>{


    List<PurchaseBillsItems> selectItemPage(@Param("map")Map<String, Object> xmap);

    List<PurchaseBillsItems> selectArrivalSum(@Param("list") List<PurchaseBillsItemsDto> list);

    List<PurchaseBillsItems> selectProjectResult(@Param("sub") String sub);

    List<Map<String, Object>> selectListPage(@Param("map")Map<String, Object> xmap);

    List<BpurchasesDto> selectResultPurchase(@Param("map") Map<String, Object> map);

    int selectListPageCount(@Param("map") Map<String,Object> xmap);

    int selectResultPurchaseNumber(@Param("map") Map<String, Object> map);

    double selectArrivalVal(@Param("pur") PurchaseBillsItems pb);
}
